# Copyright (c) 2012, Tobias Begalke
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the <organization> nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


class DJNML
  class Codes

    @@symbols = {
       "N/10K" => "10-K Annual Report Filings",
       "N/10Q" => "Quarterly Reports (SEC Form 10-Q)",
       "N/13D" => "5% Equity Ownership (SEC Form 13D)",
       "N/13F" => "Equity Portfolios of $100 Million (13-F)",
       "N/13FM" => "13F Money Managers Filings",
       "N/13G" => "5% Equity Ownership (SEC Form 13G)",
       "N/144" => "Form 144 Filings",
       "N/14D1" => "Tender Offers (SEC Form 14D-1)",
       "N/14D9" => "Responses to Tender Offers (SEC Form 14D-9)",
       "N/8604" => "Ratings by Nomura Holdings Inc.",
       "N/8K" => "Significant Corporate Events (SEC Form 8-K)",
       "N/911" => "September 11 Tragedy",
       "N/AAN" => "Ratings by ABN Amro Chicago Corp.",
       "N/ABR" => "AB Research",
       "N/ACA" => "Ratings by Credit Agricole",
       "N/ACC" => "Accounting",
       "N/ACSC" => "Asian Commentary Service Content",
       "N/AD" => "Asia Debt Report Headline Page",
       "N/ADB" => "Asian Development Bank (ADB)",
       "N/ADR" => "American Depository Receipts/Shares",
       "N/ADSM" => "Abu Dhabi Stock Market",
       "N/ADV" => "Ratings by Advest Group Inc.",
       "N/AEC" => "AmericaEconomia",
       "N/AER" => "Dow Jones Asian Equities Report",
       "N/AFD" => "African Development Bank",
       "N/AGC" => "Agricultural Commodities",
       "N/AGE" => "Ratings by A.G. Edwards Inc.",
       "N/AGN" => "Government Agency Securities",
       "N/AGR" => "Agriculture",
       "N/AIN" => "Alternative Investments",
       "N/ALBK" => "Ratings by Allied Irish Banks PLC",
       "N/ALG" => "Algorithmic and Quantitative Trading",
       "N/ALI" => "Aluminum",
       "N/ALMT" => "All Market Talk",
       "N/ALR" => "DJ Reports & Alerts",
       "N/ALS" => "Al's Emporium",
       "N/AMN" => "All Amended Filings",
       "N/ANL" => "Analysts' Comments & Ratings of Stocks",
       "N/ANP" => "Analyst Poll",
       "N/ANS" => "Chinese Automated News Summaries",
       "N/ANS2" => "Chinese Automated News Summaries",
       "N/APC" => "Asia-Pacific Economic Cooperation (APEC)",
       "N/APIN" => "Asian Premium Investment News",
       "N/APL" => "Asian Analyst Poll",
       "N/APWO" => "Swiss News Service original content",
       "N/ARAB" => "Arabic Language Code",
       "N/ARBS" => "Arbitrage Spreads on Mergers and Acquisitions",
       "N/ARG" => "Analysts' Ratings",
       "N/ARI" => "AIDS Issues & Research",
       "N/ART" => "Arts & Entertainment",
       "N/ASL" => "Asset Allocation",
       "N/ASMT" => "Asian Market Talk",
       "N/ASN" => "Association of Southeast Asian Nations (ASEAN)",
       "N/AST" => "Asset-Backed Securities",
       "N/ASUM" => "Major stories during Asian trading hours",
       "N/ATI" => "Chinese Auto Translated Items",
       "N/AUMT" => "Australia Equities Market Talk",
       "N/AVD" => "Ratings by Avondale",
       "N/AVV" => "Ratings by Aviva PLC",
       "N/AWFB" => "AWP French Basic",
       "N/AWFP" => "AWP French Premium",
       "N/AWGB" => "AWP German Basic",
       "N/AWGP" => "AWP German Premium",
       "N/AWIB" => "AWP Italian Basic",
       "N/AWIP" => "AWP Italian Premium",
       "N/AWJ" => "Wall Street Journal (Asia) on Newswires",
       "N/AWP" => "AWP News",
       "N/AWPB" => "Swiss News Service Basic",
       "N/AWPP" => "Swiss News Service Premium",
       "N/AWSJ" => "The Wall Street Journal Asia",
       "N/AZ" => "Ratings by Dresdner Kleinwort Wasserstein",
       "N/BAC" => "Ratings by Bofa/Merrill",
       "N/BAQ" => "Bankers Acceptances",
       "N/BARC" => "Ratings by Barclays PLC",
       "N/BAZ" => "Bueroanzeiger",
       "N/BBB" => "Bulletin Board",
       "N/BBG" => "Ratings by Berenberg Bank",
       "N/BBK" => "Buybacks",
       "N/BBT" => "Ratings by BB&T Capital Markets",
       "N/BCD" => "Certificates of Deposit",
       "N/BCL" => "Bankruptcy Creditor Lists",
       "N/BCM" => "Ratings by CIBC World Markets",
       "N/BCY" => "Bankruptcy-Related Filings",
       "N/BDG" => "Ratings by Banque Degroof Luxembourg S.A.",
       "N/BDW" => "Bandwidth Topic",
       "N/BEB2" => "Ratings by Bankgesellschaft Berlin AG",
       "N/BEN" => "Beans",
       "N/BFC" => "Chapter 11 Bankruptcy Filings & Cases",
       "N/BFD" => "Ratings by Credit Mutuel",
       "N/BFE" => "Block from email",
       "N/BFL" => "Biofuels",
       "N/BFQ" => "Block from Input Queue",
       "N/BFX" => "Euribor rate fixing",
       "N/BIA" => "Bundesverband Investment und Asset Management",
       "N/BIG" => "Big Picture",
       "N/BIO" => "Biography",
       "N/BIP" => "Initial Bankruptcy Petitions",
       "N/BIS" => "Bank for International Settlements (BIS)",
       "N/BKG" => "Dow Jones Global FX & Fixed Income News",
       "N/BKT" => "Basketball",
       "N/BKW" => "Broker's World",
       "N/BLB" => "Ratings by BayernLB",
       "N/BLK" => "Block Trades",
       "N/BLOG" => "Content Sourced from Blogs",
       "N/BLR" => "Broker Loan Rate",
       "N/BMC" => "Ratings by Blackmont",
       "N/BMI" => "Ratings by Brean Murray",
       "N/BMO" => "Ratings by BMO Nesbitt Burns Securities Inc.",
       "N/BNEU" => "Dow Jones Business News Europe Plus",
       "N/BNFAM" => "Ratings by Banif SGPS S/A",
       "N/BNG" => "Ratings by Barrington Research Associates",
       "N/BNL" => "Business News Letters",
       "N/BNP" => "Ratings by BNP Paribas S.A.",
       "N/BNS" => "Ratings by Scotia Capital",
       "N/BOE" => "Third Party Content from the Bank of England",
       "N/BON" => "Bond News",
       "N/BPIAM" => "Ratings by BPI SGPS S/A",
       "N/BPR" => "Bond Pricings",
       "N/BPSG" => "Ratings by Broadpoint AmTech",
       "N/BRD" => "Boards of Directors",
       "N/BRN" => "Barron's on Newswires",
       "N/BRNO" => "Barron's Online",
       "N/BRNS" => "Barron's",
       "N/BRRA" => "Barra Content",
       "N/BRW" => "Ratings by Robert W. Baird & Co.",
       "N/BSAN" => "Ratings by Bank Sarasin",
       "N/BSC" => "Ratings by Bear Stearns Cos.",
       "N/BSE" => "Baseball",
       "N/BSZ" => "Boersenzeitung",
       "N/BUC" => "Ratings by Buckingham Research Group",
       "N/BUN" => "Bunker Fuel",
       "N/BW" => "Business Wire",
       "N/BWG" => "Ratings by Bridgewell Group Ltd.",
       "N/BWL" => "Ratings by William Blair",
       "N/BWR" => "Businesswire",
       "N/BZB" => "Business Briefs",
       "N/BZG" => "3rd Party content from Bundesanzeige for the German Service",
       "N/BZZ" => "General Business Stories",
       "N/C" => "Ratings by Citigroup Inc.",
       "N/CAC" => "Corporate Actions",
       "N/CAL" => "Calendar",
       "N/CAR" => "Ratings by Caris",
       "N/CAS" => "Class Action/Settlement",
       "N/CBI" => "Central-Bank Intervention",
       "N/CBK" => "Central Banks",
       "N/CBKA" => "Ratings by Commerzbank AG",
       "N/CBT" => "Cobalt",
       "N/CCA" => "Cross-asset correlation analysis",
       "N/CCD" => "Ratings by Canaccord Genuity",
       "N/CCS" => "Currency Coded Story",
       "N/CDC" => "Ratings by Groupe Caisse des Depots",
       "N/CDE" => "Credit Default Options (CDO)",
       "N/CDJ" => "General Canadian News",
       "N/CDO" => "Collateralized Debt Obligations (CDO)",
       "N/CDR" => "Credit Derivatives",
       "N/CDS" => "Credit Default Swaps (CDS)",
       "N/CDY" => "Top Canadian Stories",
       "N/CEA" => "Economic News in Canada",
       "N/CEM" => "Economic Indicators in Canada",
       "N/CEO" => "Exclusive Interviews with Corporate Executives",
       "N/CERN" => "Earnings for Canadian Companies",
       "N/CFE" => "Coffee",
       "N/CFF" => "DJ Chinese Forex/Fixed-Income Wire",
       "N/CFW" => "DJ Chinese Financial Wire",
       "N/CFZ" => "Ratings by Cantor Fitzgerald",
       "N/CGO" => "Catalogs",
       "N/CGT" => "Capital Gains Tax",
       "N/CHD" => "Change in Dividend Rate",
       "N/CHG" => "Corporate Changes",
       "N/CHIN" => "DJ Chinese Language Code",
       "N/CHMT" => "Chinese Market Talk",
       "N/CHNE" => "DJ English Language Content on the Chinese Wire",
       "N/CHNS" => "DJ Chinese (Simplified) Language Code",
       "N/CHNT" => "DJ Chinese (Traditional) Language Code",
       "N/CHS" => "Corporate Hedging Strategies",
       "N/CIR" => "Citrus",
       "N/CLC" => "Ratings by Credit Lyonnais",
       "N/CLG" => "Colleges & Universities",
       "N/CLKG" => "Ratings by CL King",
       "N/CLS" => "Ratings by Close Brothers",
       "N/CMD" => "Commodities",
       "N/CMDD" => "Ratings by Caja Madrid",
       "N/CMDI" => "Capital Markets Report in DI",
       "N/CMEC" => "CMR Economic News",
       "N/CMI" => "Changes to Major Indexes",
       "N/CMKT" => "Crude Spot Market Commentary",
       "N/CMM" => "Cash Commodity Commentary",
       "N/CMR" => "Dow Jones Global FX & Fixed Income News",
       "N/CMY" => "Charities, Community & Civic Groups",
       "N/CNCN" => "CCN Newswire",
       "N/CNF" => "Conferences",
       "N/CNMT" => "China Equities Market Talk",
       "N/CNT" => "Contests & Awards",
       "N/CNW" => "Company News",
       "N/CNX" => "Connections",
       "N/CO2" => "Carbon Dioxide",
       "N/COA" => "Coal Markets",
       "N/COB" => "Corporate Bonds",
       "N/COC" => "Cocoa",
       "N/COF" => "Corporate Officers",
       "N/COGV" => "Corporate Governance",
       "N/COL" => "Columns",
       "N/COMP" => "Executive Compensation & Pay Disclosure",
       "N/CONS" => "DJ Chinese Online Service",
       "N/COP" => "Currency Options",
       "N/COR" => "Corrections",
       "N/CPE" => "Copper",
       "N/CPP" => "Commercial Paper",
       "N/CPRI" => "Crude Spot Market Prices",
       "N/CRM" => "Crime",
       "N/CRMK" => "Ratings by Cormark",
       "N/CRN" => "Corn",
       "N/CRX" => "Corrected Stories",
       "N/CSF" => "Ratings by Credit Suisse First Boston Corp.",
       "N/CSH" => "Ratings by Collins Stewart",
       "N/CSU" => "Consumer Issues",
       "N/CTA" => "Corporate Taxation",
       "N/CTC" => "Contracts, Nongovernment",
       "N/CTL" => "Cattle/Beef",
       "N/CTN" => "Cotton",
       "N/CTV" => "Exclusive Interviews Carried on CNBC",
       "N/CVD" => "Covered Bonds",
       "N/CVT" => "Convertible Debt Securities",
       "N/CW" => "Canada NewsWire",
       "N/CWA" => "Compliance Watch",
       "N/CWCO" => "Dow Jones Chinese Wire Subset",
       "N/CWMS" => "Dow Jones Chinese Wire Mobile Service Subset",
       "N/CWSJ" => "Chinese Language Stories used by CWSJ",
       "N/D05" => "Ratings by DBS",
       "N/DANE" => "Danish Language releases",
       "N/DAV" => "Ratings by D.A. Davidson",
       "N/DAX" => "Damascus Stock Exchange",
       "N/DBK" => "Ratings by Deutsche Banc",
       "N/DBN" => "Domestic Bonds",
       "N/DBS" => "Dow Jones Basic",
       "N/DDD" => "DDP News for Dow Jones",
       "N/DDP" => "Deutscher Depeschen Dienst",
       "N/DDPR" => "PR news from DDP",
       "N/DDY" => "Dow Jones Top Stories",
       "N/DEXB" => "Ratings by Dexia",
       "N/DFC" => "Contracts, Defense",
       "N/DFF" => "Debt Futures",
       "N/DFS" => "Der Fonds from the German Service",
       "N/DGAP" => "Third party content from DGAP",
       "N/DGH" => "Drug Hunt",
       "N/DGIC" => "DG Interactive & Consult (DGIC)",
       "N/DGN" => "Deregulation",
       "N/DID" => "Director Dealings",
       "N/DIFE" => "Dubai International Financial Exchange",
       "N/DIV" => "Dividend News",
       "N/DJAE" => "Asian Equities Wire",
       "N/DJAG" => "Dow Jones Agriculture News",
       "N/DJAN" => "Dow Jones Australian/New Zealand Report",
       "N/DJAR" => "Dow Jones Arabic-Language News",
       "N/DJB" => "Dow Jones Bond Averages",
       "N/DJBE" => "Dow Jones Belgium Wire",
       "N/DJBN" => "Dow Jones Global News Select",
       "N/DJBO" => "DJ Bourse Open",
       "N/DJBP" => "DJ Bourse Professional",
       "N/DJBW" => "Dow Jones Bourse Web Select",
       "N/DJCB" => "Dow Jones Corporate Bond Service",
       "N/DJCD" => "Dow Jones Calendar Live Data Feed",
       "N/DJCH" => "Dow Jones Chinese Language News",
       "N/DJCS" => "Dow Jones Commodity Service",
       "N/DJCW" => "Dow Jones Chinese Language Wire",
       "N/DJDA" => "Dow Jones Nieuwsdienst Advanced",
       "N/DJDL" => "Dutch Language Newswire Wireless",
       "N/DJDP" => "Dow Jones Nieuwsdienst Particulier",
       "N/DJDU" => "Dow Jones Nieuwsdienst Professional",
       "N/DJDW" => "Dow Jones Elementized Data Wire",
       "N/DJEI" => "Dow Jones European Investment News",
       "N/DJEN" => "Dow Jones Equity Investor North America",
       "N/DJEP" => "Dow Jones European Premium Investment News",
       "N/DJEU" => "Dow Jones Energy Service Subwire Energy Ultralight",
       "N/DJFA" => "DJ Bourse USA",
       "N/DJFB" => "DJ Bourse Web",
       "N/DJFI" => "Dow Jones Fixed-Income Service",
       "N/DJFN" => "Dow Jones FX Select",
       "N/DJFP" => "Dow Jones Forex Private Investor Wire",
       "N/DJFR" => "Dow Jones French Language News",
       "N/DJFX" => "Dow Jones Forex and Economic News subset",
       "N/DJG" => "Dow Jones Global Markets News",
       "N/DJG7" => "G7 Forex Wire",
       "N/DJGA" => "DJ-VWD Agriculture",
       "N/DJGC" => "Dow Jones Compact",
       "N/DJGE" => "Dow Jones German Language Newswire",
       "N/DJGF" => "DJ-VWD Flashes",
       "N/DJGG" => "Dow Jones Global",
       "N/DJGK" => "Dow Jones Greek Language Newswire",
       "N/DJGM" => "DJ Market Talk Deutsch",
       "N/DJGP" => "Dow Jones Global Premium Investment News",
       "N/DJGR" => "DJ-VWD Eastern Europe",
       "N/DJGS" => "Global Equities Spotlight",
       "N/DJGT" => "Dow Jones Trade",
       "N/DJGU" => "Dow Jones Austria",
       "N/DJGV" => "Dow Jones Global Investment News",
       "N/DJGW" => "DJ-VWD Swiss",
       "N/DJGX" => "Dow Jones FX Select in German",
       "N/DJGZ" => "DJ-VWD Metals",
       "N/DJI" => "Dow Jones International News Service",
       "N/DJIB" => "Dow Jones Investment Banker",
       "N/DJIN" => "Dow Jones Commercial Insurance Product",
       "N/DJIO" => "Indonesian Language Newswires",
       "N/DJIR" => "Dow Jones South Asia Report",
       "N/DJIT" => "MF Dow Jones Professional",
       "N/DJIV" => "Off-Trading Floor Investment News",
       "N/DJJA" => "Dow Jones Japanese Language Newswire",
       "N/DJKR" => "Dow Jones Korean Language Service",
       "N/DJLA" => "Dow Jones Americas en Espanol",
       "N/DJMB" => "Asian Commentary Service",
       "N/DJME" => "Dow Jones Base Metals News",
       "N/DJMO" => "Off-Trading Floor Money News",
       "N/DJMS" => "Dow Jones Money Spotlight",
       "N/DJMT" => "Dow Jones Market Talk",
       "N/DJMW" => "MarketWatch News",
       "N/DJN" => "Dow Jones News Service",
       "N/DJND" => "Nikkei & Dow Jones Japan Report",
       "N/DJOS" => "Dow Jones Content to Oster",
       "N/DJOV" => "Dow Jones Overview",
       "N/DJPB" => "Dow Jones Portuguese Language Newswire-Brazil Content",
       "N/DJPE" => "DJ FX Select Farsi",
       "N/DJPF" => "Dow Jones Personal Finance Product",
       "N/DJPL" => "DJ Bolsa",
       "N/DJPN" => "Dow Jones Portfolio News",
       "N/DJPO" => "Dow Jones Portuguese Language Newswire",
       "N/DJPT" => "Off-Trading Floor Portfolio News",
       "N/DJQA" => "Dow Jones QA Product Code",
       "N/DJQB" => "Dow Jones QB Product Code",
       "N/DJQS" => "European Equities Spotlight",
       "N/DJRT" => "Dow Jones Equity Trading North America",
       "N/DJRU" => "Dow Jones Russian-Language News",
       "N/DJS" => "Dow Jones Proprietary Stories",
       "N/DJS1" => "Spanish Language Wire Proprietary Subwire",
       "N/DJSA" => "EFE Dow Jones Advanced",
       "N/DJSB" => "EFE Dow Jones Web",
       "N/DJSE" => "EFE Dow Jones Professional",
       "N/DJSG" => "Dow Jones Business News Select Global",
       "N/DJSL" => "Dow Jones Select",
       "N/DJSN" => "Dow Jones Swaps News",
       "N/DJSS" => "Dow Jones Select Service",
       "N/DJSV" => "Dow Jones Surveys and Forecasts",
       "N/DJSW" => "Dow Jones Spanish Language News",
       "N/DJTA" => "Technical Analysis",
       "N/DJTT" => "Dow Jones Testing Wire",
       "N/DJTU" => "Dow Jones Turkish Language Newswire",
       "N/DJWB" => "Dow Jones Newswires Web Service",
       "N/DJWI" => "Dow Jones News Wires",
       "N/DJWM" => "Dow Jones Wealth Manager",
       "N/DJWR" => "Dow Jones Wireless Equity News",
       "N/DJXX" => "Dow Jones Test Product",
       "N/DJYY" => "Test Product",
       "N/DLHR" => "Ratings by Dahlman Rose",
       "N/DLS" => "Stock Delistings",
       "N/DMC" => "Dutch Market Comment",
       "N/DN" => "Dow Jones Content Set DN",
       "N/DOI" => "Dow Jones Oil & Gas Service",
       "N/DOP" => "Debt Options",
       "N/DPG" => "Dow Jones Power & Gas Service",
       "N/DRP" => "Dividend Reinvestment Plan",
       "N/DRV" => "Derivatives",
       "N/DRY" => "Dairy",
       "N/DSC" => "Natural Resources Discoveries",
       "N/DSE" => "Ratings by Daiwa",
       "N/DSR" => "Discount Rate",
       "N/DTA" => "Data",
       "N/DUP" => "Duplicate Stories",
       "N/DUTB" => "Neuwsdienst Basic for Telekurs",
       "N/DUTC" => "Dutch Language Content",
       "N/DVP" => "Ratings by Davenport & Co.",
       "N/DVT" => "Divestitures or Asset Sales",
       "N/DW" => "Ratings by Dundee",
       "N/DWEB" => "Dutch Web product",
       "N/DWSI" => "DWS Investment GmbH",
       "N/DWT" => "Donnerwetter",
       "N/DZB" => "Ratings by DZ Bank Deutsche Zentral-Genossenschaftsbank AG",
       "N/EAH" => "Stories from News Aktuell",
       "N/EBD" => "Eurobonds",
       "N/EBR" => "European Bank for Reconstruction & Development (EBRD)",
       "N/EBS" => "Ratings by Erste Bank Der Oesterreichischen Sparkassen AG",
       "N/ECB" => "European Central Bank",
       "N/ECO" => "Economic News, U.S.",
       "N/ECR" => "Dow Jones European Corporate Report",
       "N/EDC" => "Editorials & Columns",
       "N/EDI" => "Editorial Page",
       "N/EDJ" => "EFE Dow Jones News",
       "N/EDR" => "Energy Derivatives",
       "N/EDU" => "Education",
       "N/EDX" => "Dow Jones Proprietary Energy Indexes",
       "N/EEC" => "European Union Issues & News",
       "N/EGY" => "Energy Commentary",
       "N/EIB" => "European Investment Bank",
       "N/EIE" => "Economic Indicators Eurozone",
       "N/ELM" => "Electricity Markets",
       "N/ELW" => "Elliottwaves",
       "N/ELX" => "Elections, U.S.",
       "N/EMA" => "Emerging Market Manufacturing",
       "N/EMD" => "Emerging-Markets Debt",
       "N/EMF" => "Emfis",
       "N/EMI" => "Economic Indicators, U.S.",
       "N/EMJ" => "Economic Indicators (Forecasts & Analyses), U.S.",
       "N/EMKT" => "Electricity Spot Market Reports",
       "N/EMN" => "Emerging Market Infrastructure",
       "N/EMP" => "Economic/Monetary Policy",
       "N/EMR" => "Emerging Markets Report",
       "N/EMT" => "Emerging Markets Stories on Newswires",
       "N/EMU" => "Euro Zone News & Issues",
       "N/ENGL" => "English content on Local Language Newswires",
       "N/ENM" => "Euronomics",
       "N/ENV" => "Environmental News",
       "N/ENY" => "Energy",
       "N/EOT" => "Executives on Trial",
       "N/EPL" => "Education Planning",
       "N/EPO" => "Energy Plant Unit Outages",
       "N/EPR" => "Dow Jones Proprietary Energy Prices",
       "N/EPRI" => "Electricity Spot & Forward Market Prices",
       "N/EQI" => "Ratings by Equinet",
       "N/EQL" => "Equity-Linked Securities",
       "N/EQY" => "Equities Analysis",
       "N/ERD" => "European Regulatory Disclosure News",
       "N/ERN" => "Earnings",
       "N/ERP" => "Earnings Projections by Companies or Analysts",
       "N/ERST" => "Earnings Restatements",
       "N/EST" => "Estate Planning",
       "N/ETC" => "Ethical Standards for Advisers",
       "N/ETD" => "Ratings by E*Trade Group INC",
       "N/ETF" => "Exchange-Traded Funds",
       "N/EUCM" => "European CMR",
       "N/EUROB" => "Ratings by EFG Eurobank Ergasias S.A.",
       "N/EVG" => "Ratings by Evolution Beeson Gregory",
       "N/EWR" => "Dow Jones Global FX & Fixed Income News",
       "N/EXC" => "Exotic Exchange Commentary",
       "N/FACT" => "Ratings by First Albany Corp.",
       "N/FAM" => "Financial Advisor Magazine",
       "N/FBG" => "Ratings by Friedman Billings Ramsey Group Inc.",
       "N/FBL" => "Soccer/Football",
       "N/FBR" => "Fibers",
       "N/FBW" => "Ratings by Ferris Baker Watts Inc.",
       "N/FCE" => "Earnings Analysis by Thomson Financial/First Call",
       "N/FCG" => "Food & Cooking",
       "N/FCTV" => "Newswires content filtered for Factiva",
       "N/FDM" => "Feedmeals",
       "N/FDY" => "Dow Jones Corporate Filings Alert Top Stories",
       "N/FEER" => "Far Eastern Economic Review on Newswires",
       "N/FERV" => "Far Eastern Economic Review",
       "N/FF" => "Dow Jones Corporate Filings Alert",
       "N/FFR" => "Federal Funds Rate",
       "N/FHN" => "Nikkei Flash Headline News",
       "N/FHNE" => "Ratings by FTN Equity",
       "N/FIN" => "Interest Rates, U.S.",
       "N/FINN" => "Finnish language releases",
       "N/FMS" => "Overseas Pre-Market Summaries",
       "N/FMT" => "Fund Markets",
       "N/FNC" => "Financing Agreements",
       "N/FND" => "Mutual Funds",
       "N/FNW" => "Financial News/FinancialNews",
       "N/FORA" => "Ratings by Fortis",
       "N/FOX" => "Ratings by Fox Pitt Kelton",
       "N/FPN" => "Financial Planning",
       "N/FR40" => "DJ Bourse CAC40",
       "N/FRE" => "French Language Content",
       "N/FRN" => "Franchises",
       "N/FRO" => "Ratings by Frost Securities Inc.",
       "N/FRP" => "Federal Reserve Daily Intervention",
       "N/FRSR" => "Ratings by Fraser",
       "N/FRT" => "Newspapers' Section Fronts",
       "N/FRU" => "Fruit",
       "N/FRX" => "Foreign Exchange",
       "N/FSH" => "Fashion",
       "N/FSPA" => "Ratings by ForeningsSparbanken AB",
       "N/FST" => "Forest Products",
       "N/FTB" => "Football",
       "N/FTD" => "FTD",
       "N/FTH" => "Ratings by Fitch Ratings Inc.",
       "N/FTV" => "Trade Publications from Factiva",
       "N/FTZ" => "Fertilizer",
       "N/FUP" => "Chinese Followup",
       "N/FVA" => "Forex Volume Analytics",
       "N/FWA" => "Fed Watch",
       "N/FXC" => "Foreign Exchange Commentary",
       "N/FXD" => "FXDirect from the German Service",
       "N/FXI" => "Fixed-Income Commentary",
       "N/FXMT" => "Foreign Exchange Market Talk",
       "N/FXT" => "New York Late Foreign Exchange",
       "N/FXTR" => "FX Trader",
       "N/FXW" => "Dow Jones Global FX & Fixed Income News",
       "N/G10" => "Group of 10",
       "N/G20" => "Group of 20",
       "N/GAD" => "German Advertisement Determination",
       "N/GBL" => "Ratings by Gabelli",
       "N/GCD" => "Corporate Disclosure-German Language Wire",
       "N/GEN" => "General News",
       "N/GENI" => "Global Economic News & Indicators",
       "N/GERM" => "German Language Content",
       "N/GFF" => "Ratings by Griffiths McBurney & Partner",
       "N/GFI" => "Government Filings",
       "N/GG8" => "Group of Eight",
       "N/GGG" => "Group of Seven (G-7)",
       "N/GIV" => "Charitable Giving",
       "N/GLBS" => "Globes Ltd.",
       "N/GLF" => "Golf",
       "N/GMG" => "Middle Management",
       "N/GMO" => "German Mobile News",
       "N/GMS" => "Ratings by Goldman Sachs & Co.",
       "N/GNW" => "Non-Internet German Content",
       "N/GPC" => "Gold Prices & Commentary",
       "N/GPRW" => "Dow Jones Global Press Release Wire",
       "N/GPS" => "Getting Personal",
       "N/GREEK" => "Greek language code",
       "N/GRN" => "Grains",
       "N/GSM" => "Genussmittel",
       "N/GVC" => "Contracts, Government (not defense)",
       "N/HBC" => "Ratings by HSBC Holdings PLC",
       "N/HBL" => "Heibel-Ticker",
       "N/HCC" => "Health care charges",
       "N/HCP" => "Health-Care Policy & Issues",
       "N/HCW" => "Ratings by H.C. Wainwright & Co. Inc.",
       "N/HED" => "Media Pickups",
       "N/HGF" => "Hedge Fund News",
       "N/HGN" => "Hugin",
       "N/HGS" => "Hogs/Pigs/Pork",
       "N/HIY" => "High-Yield Issuers",
       "N/HKMT" => "Hong Kong Equities Market Talk",
       "N/HKY" => "Hockey",
       "N/HLT" => "Health",
       "N/HLV" => "Ratings by Helvea",
       "N/HOH" => "News Highlights",
       "N/HOL" => "Holiday Items",
       "N/HOT" => "Hot News",
       "N/HPL" => "Health Planning",
       "N/HRD" => "Heard on the Street",
       "N/HTX" => "HighText",
       "N/HUNG" => "Hungarian Language Content",
       "N/HVM" => "Ratings by Bayerische Hypo- und Vereinsbank AG",
       "N/HYR" => "Hydro Report",
       "N/HYWD" => "Ratings by Haywood",
       "N/IAD" => "Inter-American Development Bank (IADB)",
       "N/IAE" => "International Atomic Energy Agency (IAEA)",
       "N/IBO" => "International Bonds",
       "N/ICEL" => "Icelandic language releases",
       "N/ICM" => "International Credit Markets",
       "N/IED" => "Investor Education",
       "N/IEI" => "Economic Indicators, International",
       "N/IEJ" => "Economic Indicators (Forecasts & Analyses), International",
       "N/IEN" => "Economic News, International",
       "N/IFX" => "Intraday Forex",
       "N/IGR" => "Investment Grade Debt",
       "N/IID" => "Investment Ideas",
       "N/IINT" => "Italian Language Newswire-International",
       "N/IMF" => "International Monetary Fund (IMF)",
       "N/IMN" => "In The Money",
       "N/INDO" => "Indonesian Language Content",
       "N/ING" => "Ratings by ING Barings",
       "N/INI" => "Initial Public Offerings",
       "N/INMT" => "India Equities Market Talk",
       "N/INT" => "International News",
       "N/INVP" => "Ratings by Investec PLC/Investec Ltd.",
       "N/IOR" => "Iron Ore",
       "N/IOV" => "Industry Overview",
       "N/IPR" => "International Petroleum Report",
       "N/IRE" => "Ratings by Bank of Ireland",
       "N/IRT" => "Interest Rate Tables",
       "N/IRW" => "IRWorld",
       "N/ISB" => "Insider Stock Buys",
       "N/ISD" => "Insider Trading",
       "N/ISL" => "Islamic Finance",
       "N/ISS" => "Insider Stock Sells",
       "N/ITAL" => "Italian Language Content",
       "N/ITNS" => "Italian Language Newswire-Italia",
       "N/ITP" => "Information Technology Policy & Issues",
       "N/ITX" => "Income Tax (Corporate & Personal)",
       "N/IWM" => "Inside Wealth Management",
       "N/JAPN" => "DJ Japanese Language Code",
       "N/JBIC" => "Japan Bank for International Cooperation",
       "N/JCER" => "DJ China Equities Report",
       "N/JDRV" => "DJ Japan Money Report",
       "N/JEER" => "DJ European Equities Report Japanese",
       "N/JEF" => "Ratings by Jefferies Group Inc.",
       "N/JEQU" => "DJ Global Equities Report Japanese",
       "N/JEQW" => "Japanese Global Equities Report Select",
       "N/JFIN" => "Financial Markets Today",
       "N/JIE" => "Stories from WSJ.com",
       "N/JIER" => "DJ India Equities Report",
       "N/JMKC" => "Japanese World Markets Roundup Commentary",
       "N/JMP" => "Ratings by JMP Securities",
       "N/JMS" => "Ratings by Janney Montgomery Scott Inc.",
       "N/JNL" => "Wall Street Journal (domestic) on Newswires",
       "N/JONS" => "Online Service",
       "N/JPM" => "Ratings by JP Morgan H&Q",
       "N/JPMT" => "Japan Equities Market Talk",
       "N/JVN" => "Joint Ventures",
       "N/JWFX" => "Japanese World Markets Roundup FX News",
       "N/JWMR" => "DJ World Markets Roundup Japanese",
       "N/JWSK" => "Japanese World Markets Roundup Stock News",
       "N/JYSK" => "Ratings by Jyske Bank A/S",
       "N/KAF" => "Ratings by Kaufman Brothers L.P.",
       "N/KBC" => "Ratings by KBC Bankverzekeringsholding N.V.",
       "N/KBW" => "Ratings by Keefe Bruyette & Woods Inc.",
       "N/KEY" => "Ratings by KeyBanc",
       "N/KLA" => "Block from Latin America Media",
       "N/KRN" => "DJ Korean Language Code",
       "N/KRNE" => "DJ English Language Content on the Korean Wire",
       "N/LAB" => "Labor Issues",
       "N/LAL" => "Latest Analysis",
       "N/LAM" => "Ratings by Bankhaus Lampe",
       "N/LANS" => "Ratings by Van Lanschot N.V.",
       "N/LATM" => "Los Angeles Times",
       "N/LBO" => "Leveraged Buyouts",
       "N/LBWR" => "Ratings by Longbow",
       "N/LCP" => "Large-Capitalization Issuer News & Filings",
       "N/LED" => "Lead",
       "N/LEN" => "Law Enforcement",
       "N/LET" => "Letters to the Editor",
       "N/LIC" => "Licensing Agreements",
       "N/LIF" => "Lifestyles",
       "N/LIO" => "London Interbank Offered Rate (LIBOR)",
       "N/LIQ" => "Liquidation",
       "N/LL" => "Dow Jones Content Set LL",
       "N/LM" => "Ratings by Legg Mason Wood Walker Inc.",
       "N/LNG" => "Liquefied Natural Gas",
       "N/LTAM" => "Latin America Service",
       "N/LTI" => "Latest Trading Ideas",
       "N/LWS" => "Lawsuits",
       "N/LYO" => "Layoffs",
       "N/LZD" => "Ratings by Lazard",
       "N/MAC" => "M&A Changes in Terms",
       "N/MADN" => "Multi-asset Trading Product Services on Newswires",
       "N/MAI" => "M&A Initial Announcements",
       "N/MASN" => "Multi-asset Trading Product Services on secondary Newswires",
       "N/MAV" => "M&A Shareholder Vote",
       "N/MBK" => "Mortgage Banking",
       "N/MBS" => "Mortgage-Backed Securities",
       "N/MCOX" => "Ratings by Moody's Corp.",
       "N/MDA" => "MDPS Alerts",
       "N/MDC" => "Ratings by Desjardins",
       "N/MDI" => "Marriage & Divorce",
       "N/MET" => "Base Metals",
       "N/MFO" => "Money/Forex Markets",
       "N/MGE" => "Management Entering",
       "N/MGL" => "Management Leaving",
       "N/MIN" => "MINOR METALS",
       "N/MJC" => "News from MJ Consult",
       "N/MKB" => "Market Beat",
       "N/MKC" => "Closing Market Commentary",
       "N/MKM" => "Mark to Market",
       "N/MKO" => "Market Opening",
       "N/MKT" => "Market News",
       "N/MKTW" => "MarketWire",
       "N/MKWH" => "MarketWatch Stories on Newswires",
       "N/MLT" => "Military Action",
       "N/MMM" => "Major Market Movers",
       "N/MNH" => "Mannheimer",
       "N/MNT" => "Management Issues",
       "N/MNY" => "Money Analysis",
       "N/MOL" => "Molybdenum",
       "N/MON" => "Money Market News",
       "N/MOR" => "Mortgages",
       "N/MQG" => "Ratings by Macquarie",
       "N/MRG" => "Ratings by Morgan Keegan Inc.",
       "N/MRK" => "Marketing",
       "N/MRP" => "Dow Jones MarketBeat",
       "N/MS" => "Ratings by Morgan Stanley Dean Witter & Co.",
       "N/MSH" => "Market Share",
       "N/MSM" => "Main Stock Market Commentary",
       "N/MSN" => "Mediensohn",
       "N/MST" => "Morningstar",
       "N/MTA" => "Money Talks",
       "N/MTG" => "Annual Meetings",
       "N/MTR" => "Metro Section",
       "N/MTU" => "Ratings by Mitsubishi UFJ Securities",
       "N/MUN" => "Municipal Bonds",
       "N/MWB" => "Ratings by M.M. Warburg & Co. Hypothekenbank AG",
       "N/MWJ" => "Market Moving News from The Wall Street Journal",
       "N/MWT" => "Muni Watch",
       "N/MYMT" => "Malaysia Equities Market Talk",
       "N/NA" => "Ratings by National Bank of Canada",
       "N/NACM" => "North American CMR",
       "N/NAK" => "3rd Party content from NewsAktuell for the German Service",
       "N/NAT" => "National News",
       "N/NCK" => "Nickel",
       "N/NDJ" => "Nikkei Dow Jones Content",
       "N/NDQ" => "NASDAQ Stock Commentary",
       "N/NDX" => "Indexes",
       "N/NED" => "Ratings by Needham & Co.",
       "N/NENG" => "Non-English Language Content",
       "N/NET" => "Internet",
       "N/NEW" => "New Codes",
       "N/NGS" => "Natural Gas",
       "N/NIK" => "Nikkei News Service",
       "N/NJR" => "Nikkei Dow Jones Japan Report",
       "N/NKR" => "Nikkei Reports",
       "N/NLB" => "Ratings by NordLB",
       "N/NMD" => "Stocks Traded on the Neuer Markt (Frankfurt)",
       "N/NMKT" => "Natural Gas Spot Market Reports",
       "N/NMX" => "Nymex",
       "N/NORA" => "Non-regulatory announcements",
       "N/NORW" => "Norwegian Language",
       "N/NPL" => "DJ PIR Profiles",
       "N/NPRI" => "Natural Gas Spot Market Prices",
       "N/NRC" => "NRC Report",
       "N/NRG" => "Dow Jones Energy Service",
       "N/NTAKE" => "Non-primary take of story",
       "N/NTO" => "North Atlantic Treaty Organization (NATO)",
       "N/NUK" => "Nuclear Power, Energy",
       "N/NUM" => "Ratings by Numis Securities",
       "N/NUT" => "Nuts",
       "N/NWS" => "Major News Events",
       "N/NYH" => "Hot Stocks",
       "N/NYS" => "New York Stock Market Commentary",
       "N/NYTF" => "New York Times Full Text",
       "N/NZMT" => "New Zealand Equities Market Talk",
       "N/OBT" => "Obituaries",
       "N/OCD" => "Organization for Economic Co-Operation & Development (OECD)",
       "N/ODO" => "Ratings by Oddo & Cie. Group",
       "N/OLC" => "Live Opinion",
       "N/OLY" => "Olympics",
       "N/OML" => "Ratings by Old Mutual PLC",
       "N/OPC" => "Organization of Petroleum Exporting Countries (OPEC)",
       "N/OPY" => "Ratings by Sal. Oppenheim Jr. & Cie.",
       "N/ORI" => "All Original Filings",
       "N/OSAG" => "Dow Jones AgriWire",
       "N/OSCM" => "ODJ Commodity Package",
       "N/OSD" => "Oilseeds",
       "N/OSDA" => "ODJ USDA Package",
       "N/OSDJ" => "Oster Content to Dow Jones",
       "N/OSEN" => "ODJ Energy Package",
       "N/OSFF" => "ODJ Mini-Financials Futures Package",
       "N/OSFR" => "ODJ Financial Futures Package",
       "N/OSFX" => "OsterDowJones fixtures",
       "N/OSME" => "Dow Jones MetalsWire",
       "N/OSOV" => "ODJ Overview Package",
       "N/OSTR" => "Dow Jones Commodities Basic",
       "N/OWN" => "Stock Ownership",
       "N/PAG" => "Front Page Stories",
       "N/PAN" => "Panda Bonds",
       "N/PAP" => "Products-Regulatory Approval",
       "N/PAT" => "Patents",
       "N/PAY" => "Pay Date",
       "N/PB" => "Dow Jones Content Set PB",
       "N/PBOC" => "Peoples Bank of China",
       "N/PBP" => "Public-Policy & Regulatory Issues",
       "N/PCA" => "Partnerships/Contracts/Business Alliances",
       "N/PCBC" => "Ratings by Pacific Capital Bancorp",
       "N/PCM" => "Proprietary Commodities Prices",
       "N/PCS" => "Precious Metals News",
       "N/PDGM" => "Ratings by Paradigm",
       "N/PDS" => "Product Distribution",
       "N/PDT" => "New Products & Services",
       "N/PEC" => "Private Companies",
       "N/PEN" => "Pension Funds",
       "N/PER" => "Personnel Appointments",
       "N/PERS" => "Farsi/Persian language code",
       "N/PET" => "Crude Oil & Petroleum Products",
       "N/PFIS" => "FIS Premium Content",
       "N/PFN" => "Personal Finance",
       "N/PHO" => "Photo Captions Only",
       "N/PIC" => "Ratings by Prudential Securities Inc.",
       "N/PIM" => "CNN Matthews",
       "N/PIR" => "Dow Jones Professional Investor Report",
       "N/PJC" => "Ratings by Piper Jaffray Inc.",
       "N/PLM" => "Platinum Group",
       "N/PLS" => "Pulses",
       "N/PLSH" => "Polish Language Content",
       "N/PLT" => "Politics",
       "N/PMK" => "Practice Marketing",
       "N/PMKT" => "Petrochemical Market Reports",
       "N/PMR" => "Ratings by ThinkEquity",
       "N/PMT" => "Practice Management",
       "N/PMZN" => "GlobeNewswire",
       "N/PNC" => "Ratings by Hilliard Lyons",
       "N/PORT" => "Portuguese Language Content",
       "N/POV" => "Point of View",
       "N/PPR" => "Pulp & Paper",
       "N/PPRI" => "Petrochemical Market Prices",
       "N/PR" => "PR Newswire",
       "N/PRB" => "Press Release Blocking Code",
       "N/PRBI" => "Regulatory Announcements from Borsa Italia",
       "N/PRC" => "Pricing of Products & Services",
       "N/PRCG" => "Citigate",
       "N/PRD" => "Oil & Natural Gas Production",
       "N/PREL" => "Press Release Wires",
       "N/PRFR" => "Frankfurt Finance",
       "N/PRHB" => "HSV Handball",
       "N/PRL" => "Press Releases on Newswires",
       "N/PRN" => "PRPlatinum",
       "N/PRNT" => "DJ Print Publications",
       "N/PRO" => "Profiles of Companies",
       "N/PROS" => "The Prospector",
       "N/PRPF" => "Portfolioint",
       "N/PRSS" => "Presscut",
       "N/PRT" => "Prime Rate",
       "N/PRU" => "PRN Corporate Disclosure",
       "N/PRX" => "Proxy Filings",
       "N/PSC" => "Prospecting for Advisers",
       "N/PSS" => "Sponsors",
       "N/PSTA" => "Pressetext Deutschland",
       "N/PTA" => "Potatoes",
       "N/PTAS" => "Primetass Content",
       "N/PTR" => "Poultry/Eggs",
       "N/PVT" => "Private Placements",
       "N/PVW" => "EARNINGS PREVIEW",
       "N/PZC" => "Ratings by Punk Ziegel & Co. L.P.",
       "N/PZN" => "Privatizations",
       "N/QDR" => "Equity Derivatives",
       "N/RAN" => "Ranking",
       "N/RBD" => "Ratings by RBC Dominion Securities",
       "N/RBR" => "Rubber",
       "N/RBS" => "Ratings by Royal Bank of Scotland Group PLC",
       "N/RBW" => "Robowire Stories",
       "N/RC" => "Ratings by Roth Capital Partners Inc.",
       "N/RCE" => "Rice",
       "N/RCN" => "Corporate Restructurings",
       "N/RCZ" => "Recapitalization",
       "N/REF" => "Refinery Outages",
       "N/REG" => "Bond & Stock Registrations",
       "N/RER" => "Rare Earth Minerals",
       "N/RET" => "Retirement Planning",
       "N/RGD" => "Reg D filings",
       "N/RGU" => "Securities Regulations",
       "N/RJF" => "Ratings by Raymond James Financial Inc.",
       "N/RLE" => "Real-Estate Transactions",
       "N/RLG" => "Religion",
       "N/RMKT" => "Refined Products Spot Market Commentary",
       "N/RNCA" => "Regulatory News Company Appointments, Directors & Meetings",
       "N/RND" => "Research & Development",
       "N/RNDC" => "Regulatory News Documents & Circulars",
       "N/RNDU" => "Regulatory News Deals, Transactions & Operational Updates",
       "N/RNEQ" => "Regulatory News Equity, Debt & Investment Trusts",
       "N/RNFS" => "Regulatory News Financial Statements, Dividends & Corp Actions",
       "N/RNIR" => "Regulatory News Interim Reports",
       "N/RNMA" => "Regulatory News Market, RNS & Related Announcements",
       "N/RNNR" => "Regulatory News Non Regulatory Announcements",
       "N/RNOA" => "Regulatory News Other Statements & Announcements",
       "N/RNOF" => "Regulatory News Offers",
       "N/RNOR" => "Regulatory News Other Requirements",
       "N/RNOT" => "Regulatory News Ownership Thresholds",
       "N/RNS" => "RNS Content",
       "N/RNSD" => "Regulatory News Shareholder & POTAM Disclosures",
       "N/RNVR" => "Regulatory News Voting Rights",
       "N/RNW" => "Renewables",
       "N/RNWS" => "UK Corporate Disclosure",
       "N/RPRI" => "Refined Products Spot Market Prices",
       "N/RPT" => "Special Reports",
       "N/RSFX" => "Dow Jones FX Select in Russian",
       "N/RSK" => "Country Risk",
       "N/RSP" => "Reverse Stock Splits",
       "N/RSTK" => "DJ Stocks Russian",
       "N/RTG" => "Bond Ratings & Comments",
       "N/RUBL" => "Generic SmartCoding blocking code",
       "N/RUSS" => "Russian Language Service",
       "N/RVW" => "Reviews (Book, Movie, Art, Restaurant, Etc.)",
       "N/RXX" => "Ratings by Research Capital Corp.",
       "N/RY" => "Ratings by Royal Bank of Canada",
       "N/SAN" => "Sector Analysis",
       "N/SCD" => "Soft Commodities",
       "N/SCH" => "Ratings by Charles Schwab Corp.",
       "N/SCN" => "Science & Technology",
       "N/SCP" => "Succession Planning for Advisers",
       "N/SDP" => "Ratings by Standard & Poor's Corp.",
       "N/SDR" => "Sovereign Debt Derivatives",
       "N/SDT" => "Sovereign Debt",
       "N/SEB" => "Ratings by Skandinaviska Enskilda Banken AB",
       "N/SF" => "Ratings by Stifel Nicolaus",
       "N/SGF" => "Ratings by Cowen & Co.",
       "N/SGMT" => "Singapore Equities Market Talk",
       "N/SGR" => "Sugar",
       "N/SHC" => "Share Capital",
       "N/SHD" => "Ratings by Stephens Inc.",
       "N/SHO" => "Short Interest Sales",
       "N/SHS" => "Ratings by Santander Central Hispano",
       "N/SID" => "Ratings by Sidoti & Co.",
       "N/SIF" => "Stock Index Futures",
       "N/SKD" => "Scheduled Events",
       "N/SKP" => "Stock Pricings",
       "N/SLBU" => "Asia Weekend Journal Week Ahead",
       "N/SLE" => "Ratings by Sterne Agee",
       "N/SLM" => "Ratings by Salman Partners Inc.",
       "N/SLS" => "Sales Figures",
       "N/SMA" => "Separately Managed Accounts",
       "N/SMB" => "Samurai Bonds",
       "N/SMC" => "Stock Market Commentary",
       "N/SMD" => "Social Media for Advisers",
       "N/SME" => "Street Moves",
       "N/SML" => "Small Business & Entrepreneurs",
       "N/SMS" => "DJ Chinese Short-Message-Service",
       "N/SMT" => "SmartMoney on Newswires",
       "N/SMTM" => "SmartMoney",
       "N/SN" => "Dow Jones Content Set SN",
       "N/SNEW" => "Spot News",
       "N/SNPR" => "Spot News",
       "N/SOC" => "Soccer",
       "N/SOG" => "Ratings by Societe Generale",
       "N/SOP" => "Stock Options",
       "N/SPAN" => "Spanish Language Content",
       "N/SPC" => "Spices",
       "N/SPL" => "Stock Splits",
       "N/SPN" => "Spinoffs",
       "N/SPO" => "Sports",
       "N/SPRS" => "Ratings by Standpoint Research",
       "N/SPT" => "Sports & Recreation",
       "N/SRG" => "Shelf Registrations",
       "N/SRP" => "Shareholder Rights Plans",
       "N/SSM" => "Street Savvy",
       "N/STAL" => "Strategic Alternatives",
       "N/STC" => "Steel",
       "N/STG" => "Strategic Metals",
       "N/STI" => "Ratings by SunTrust Banks Inc.",
       "N/STK" => "Stock Market News",
       "N/STO" => "Special Market Commentary",
       "N/STR" => "Stock Trading Disruptions",
       "N/STX" => "Sales Tax (includes VAT)",
       "N/SUB" => "Sub-Prime Loans",
       "N/SUK" => "Sukuk Debt",
       "N/SUM" => "News Summaries",
       "N/SUN" => "SDS Lookup",
       "N/SVR" => "Silver",
       "N/SWED" => "Swedish language releases",
       "N/SWF" => "Sovereign Wealth Fund",
       "N/SWP" => "Swaps",
       "N/SWS" => "Ratings by Southwest Securities Group Inc.",
       "N/SXMT" => "Spanish FX Market Talk Content",
       "N/SYPC" => "Ratings by Seymour Pierce Group PLC",
       "N/SZC" => "Swiss Compact",
       "N/T10" => "Top 10 Stories on Dow Jones Australia New Zealand Report",
       "N/TAB" => "Tabular Material",
       "N/TAX" => "Taxes",
       "N/TBC" => "The Bankingclub",
       "N/TBL" => "Table of Contents",
       "N/TD" => "Ratings by TD Securities Inc.",
       "N/TDS" => "Trade Shows",
       "N/TEA" => "Tea",
       "N/TER" => "Terrorism",
       "N/TES" => "Test Message",
       "N/TFL" => "Trade Flows in the Foreign Exchange and Fixed Income Markets",
       "N/TGL" => "Ratings by Taglich Brothers Inc.",
       "N/THUB" => "Chinese Tech Hub",
       "N/TIKR" => "DJ Chinese Ticker Wire (U.S.)",
       "N/TIN" => "Tin",
       "N/TLK" => "Talk Back",
       "N/TNM" => "Acquisitions, Mergers, Takeovers",
       "N/TNS" => "Tennis",
       "N/TNW" => "Today's Top Wire News",
       "N/TOP1" => "Top 1 story on Chinese FX/FI",
       "N/TOP2" => "Top 2 story on Chinese FX/FI",
       "N/TOP3" => "Top 3 story on Chinese FX/FI",
       "N/TOP4" => "Top 4 story on Chinese FX/FI",
       "N/TOP5" => "Top 5 story on Chinese FX/FI",
       "N/TOP6" => "Top 6 story on Chinese FX/FI",
       "N/TOP7" => "Top 7 story on Chinese FX/FI",
       "N/TOP8" => "Top 8 story on Chinese FX/FI",
       "N/TOR" => "Canadian Stock Market Commentary",
       "N/TOT" => "Tales of the Tape",
       "N/TPC" => "Treasury Bond Prices & Commentary",
       "N/TPCT" => "Third-Party Content",
       "N/TPFS" => "Top News on The Future Source",
       "N/TRD" => "Trade Issues",
       "N/TRDC" => "Trading Central Charts from Dow Jones",
       "N/TRDF" => "Trading Central Free Charts",
       "N/TRG" => "Trade Groups",
       "N/TRH" => "Stock Trading Halts",
       "N/TRR" => "Stock Trading Resumptions",
       "N/TRST" => "Ratings by Tristone",
       "N/TSG" => "Technically Speaking",
       "N/TSGE" => "Dow Jones Top Stories Global Equities",
       "N/TSH" => "Dow Jones Tip Sheet",
       "N/TSP" => "Transportation",
       "N/TSR" => "Tax Strategies",
       "N/TST" => "Antitrust News",
       "N/TSY" => "Treasury News Service",
       "N/TTN" => "Today's Top Energy News",
       "N/TURK" => "Turkish language code",
       "N/TVL" => "Travel",
       "N/TWL" => "Ratings by Thomas Weisel Partners",
       "N/TWMT" => "Taiwan Equities Market Talk",
       "N/UBS" => "Ratings by UBS Securities Inc.",
       "N/UDY" => "Top UK Stories",
       "N/UKMR" => "U.K. Market Report",
       "N/UNN" => "United Nations",
       "N/USM1" => "one of three codes for Chinese U.S. Pre-Market Summaries",
       "N/USM2" => "one of three codes for Chinese U.S. Pre-Market Summaries",
       "N/USM3" => "one of three codes for Chinese U.S. Pre-Market Summaries",
       "N/UTT" => "Ratings by C.E. Unterberg Towbin Co.",
       "N/VCF" => "Venture Capital Financing",
       "N/VEG" => "Vegetables",
       "N/VGO" => "Vegetable Oils",
       "N/VONN" => "Ratings by Vontobel Holding AG",
       "N/VWD" => "MDPS",
       "N/WAA" => "Wall Street Journal (Asia) Stories filed direct to Newswires",
       "N/WAE" => "Wall Street Journal (Europe) Stories filed direct to Newswires",
       "N/WAER" => "AER and ECR content to wsj.com",
       "N/WAL" => "Wall Street Journal (domestic) stories filed direct to Newswires",
       "N/WAR" => "Warrants",
       "N/WBM" => "Ratings by Wedbush Morgan Securities Inc.",
       "N/WDLB" => "Ratings by Westdeutsche Landesbank AG",
       "N/WED" => "Dow Jones Global Equities News",
       "N/WEG" => "Ratings by Wegelin & Co.",
       "N/WEI" => "Dow Jones Total Market Index component",
       "N/WER" => "Dow Jones Global Equities News",
       "N/WFC" => "Ratings by Wells Fargo & Co.",
       "N/WFM" => "Weather from Meteorlogix",
       "N/WHT" => "Wheat",
       "N/WJE" => "Wall Street Journal (Europe) on Newswires",
       "N/WJO" => "WSJ.com content",
       "N/WKA" => "Week Ahead Outlooks",
       "N/WKLY" => "Weekly Fixture",
       "N/WLB" => "World Bank",
       "N/WLS" => "Wall Street Journal (all) on Newswires",
       "N/WOL" => "Wool",
       "N/WPR" => "WebitPR.com",
       "N/WSJ" => "The Wall Street Journal",
       "N/WSJC" => "Newswires content filtered for WSJ.com",
       "N/WSJE" => "The Wall Street Journal Europe",
       "N/WSJM" => "Wall Street Journal Magazine",
       "N/WSJS" => "Wall Street Journal (Sunday)",
       "N/WSR" => "World Stock Roundup",
       "N/WSV" => "Washington Service on DJNS",
       "N/WSW" => "Wall Street Week",
       "N/WTH" => "Weather & Natural Disasters",
       "N/WTO" => "World Trade Organization",
       "N/WYM" => "Romeike",
       "N/XCH" => "Exchanges",
       "N/XCR" => "Extra Credit",
       "N/XDJ" => "Exclusive Dow Jones Features",
       "N/XDR" => "Forex Derivatives",
       "N/XSFX" => "Exclusive Spanish Foreign Exchange Content",
       "N/YKB" => "Yankee Bonds",
       "N/ZBK" => "Ratings by Zuercher Kantonalbank",
       "N/ZDJ" => "Zawya Dow Jones News",
       "N/ZNC" => "Zinc",
       "N/ZYX" => "Press Release Duplicates",
       "G/AGD" => "Agriculture Department",
       "G/CFT" => "Commodity Futures Trading Commission (CFTC)",
       "G/CIA" => "Central Intelligence Agency (CIA)",
       "G/CNBK" => "Bank of Canada",
       "G/CNG" => "Congress",
       "G/CNGV" => "Canadian Government",
       "G/COM" => "Commerce Department",
       "G/DCBK" => "Dutch Central Bank",
       "G/DCBS" => "Dutch Central Bureau of Statistics",
       "G/DEF" => "Defense Department",
       "G/EDN" => "Education Department",
       "G/EIB" => "Export-Import Bank (EIB)",
       "G/EPA" => "Environmental Protection Agency (EPA)",
       "G/ERG" => "Energy Department",
       "G/EXE" => "Executive Branch",
       "G/FAA" => "Federal Aviation Administration (FAA)",
       "G/FBI" => "Federal Bureau of Investigation (FBI)",
       "G/FCA" => "Farm Credit Administration (FCA)",
       "G/FCC" => "Federal Communications Commission (FCC)",
       "G/FDA" => "Food & Drug Administration (FDA)",
       "G/FDC" => "Federal Deposit Insurance Corp. (FDIC)",
       "G/FDL" => "Federal Government (General)",
       "G/FED" => "Federal Reserve Board",
       "G/FHLB" => "Federal Home Loan Bank",
       "G/FRC" => "Federal Energy Regulatory Commission (FERC)",
       "G/FTC" => "Federal Trade Commission (FTC)",
       "G/GEBK" => "Bundesbank",
       "G/GEGV" => "Government of Germany",
       "G/GNMA" => "Government National Mortgage Association",
       "G/GSA" => "General Services Administration (GSA)",
       "G/HHS" => "Health & Human Services Department (HHS)",
       "G/HLS" => "Homeland Security Department",
       "G/HUD" => "Housing & Urban Development Department (HUD)",
       "G/ICC" => "Surface Transportation Board (STB)",
       "G/IGV" => "Governments of Non-U.S. Countries",
       "G/INR" => "Interior Department",
       "G/IRS" => "Internal Revenue Service (IRS)",
       "G/ITD" => "International Trade Commission (ITC)",
       "G/JABJ" => "Bank of Japan",
       "G/JAEP" => "Japanese Cabinet Office",
       "G/JAGV" => "Japanese Government",
       "G/JAMF" => "Japanese Ministry of Finance",
       "G/JUS" => "Justice Department",
       "G/LBR" => "Labor Department",
       "G/LOC" => "Local Government",
       "G/MITI" => "Japanese Ministry of Economy, Trade & Industry",
       "G/NLR" => "National Labor Relations Board (NLRB)",
       "G/NSA" => "National Aeronautics & Space Administration (NASA)",
       "G/NTS" => "National Transportation Safety Board (NTSB)",
       "G/NUR" => "Nuclear Regulatory Commission",
       "G/OSH" => "Occupational Safety & Health Administration (OSHA)",
       "G/PBG" => "Pension Benefit Guaranty Corp. (PBGC)",
       "G/POS" => "Postal Service",
       "G/SBA" => "Small Business Administration (SBA)",
       "G/SEC" => "Securities & Exchange Commission (SEC)",
       "G/SNB" => "Swiss National Bank",
       "G/SSA" => "Social Security Administration (SSA)",
       "G/STD" => "State Department",
       "G/STE" => "State Government",
       "G/SUP" => "Supreme Court",
       "G/THS" => "Office of Thrift Supervision (OTS)",
       "G/TRE" => "Treasury Department",
       "G/TRN" => "Transportation Department",
       "G/TVA" => "Tennessee Valley Authority (TVA)",
       "G/UKBK" => "Bank of England",
       "G/UKGV" => "Government of Great Britain",
       "G/USG" => "U.S. Government Agencies",
       "G/VET" => "Veterans Affairs Department",
       "I/ADV" => "Media Agencies",
       "I/AFL" => "Alternative Fuels",
       "I/AIF" => "Delivery Services",
       "I/AIR" => "Airlines",
       "I/ALC" => "Alternative Electricity",
       "I/ALU" => "Aluminum",
       "I/AMG" => "Asset Managers",
       "I/ARO" => "Aerospace & Defense",
       "I/ASP" => "Aerospace",
       "I/AUDJP" => "AUD/JPY currency pair",
       "I/AUDUS" => "AUD/USD currency pair",
       "I/AUT" => "Automobiles",
       "I/BAN" => "Banks-Major International",
       "I/BLD" => "Building Materials & Fixtures",
       "I/BNK" => "Banks-All",
       "I/BRD" => "Broadcasting & Entertainment",
       "I/BTC" => "Biotechnology",
       "I/BVG" => "Beverages-All",
       "I/CEF" => "Closed End Funds",
       "I/CFN" => "Consumer Finance",
       "I/CHC" => "Commodity Chemicals",
       "I/CHM" => "Chemicals-All",
       "I/CHS" => "Specialty Chemicals",
       "I/CLO" => "Clothing & Accessories",
       "I/CMT" => "Telecommunications Equipment",
       "I/CNO" => "Gambling",
       "I/COA" => "Coal",
       "I/CON" => "Heavy Construction",
       "I/COS" => "Personal Products",
       "I/CPR" => "Computer Hardware",
       "I/CSE" => "Consumer Electronics",
       "I/CSV" => "Specialized Consumer Services",
       "I/CTR" => "Containers & Packaging",
       "I/CTS" => "Mobile Telecommunications",
       "I/DFN" => "Defense",
       "I/DIA" => "Diamonds & Gemstones",
       "I/DIB" => "Industrial Suppliers",
       "I/DRG" => "Pharmaceuticals",
       "I/DRL" => "Oil Drilling",
       "I/DST" => "Brewers",
       "I/EAG" => "Business Training  & Emplyment Agencies",
       "I/ELC" => "Conventional Electricity",
       "I/ELQ" => "Electronic Components & Equipment",
       "I/ENR" => "Engineering Contractors",
       "I/ENT" => "Entertainment & Leisure-All",
       "I/EQS" => "Oil Field Equipment & Services-Other",
       "I/EURAU" => "EUR/AUD currency pair",
       "I/EURCA" => "EUR/CAD currency pair",
       "I/EURCH" => "EUR/CHF currency pair",
       "I/EURCZ" => "EUR/CZK currency pair",
       "I/EURGB" => "EUR/GBP currency pair",
       "I/EURHU" => "EUR/HUF currency pair",
       "I/EURJP" => "EUR/JPY currency pair",
       "I/EURNO" => "EUR/NOK currency pair",
       "I/EURPL" => "EUR/PLN currency pair",
       "I/EURRU" => "EUR/RUB currency pair",
       "I/EURSE" => "EUR/SEK currency pair",
       "I/EURUS" => "EUR/USD currency pair",
       "I/EXT" => "Exchange Traded Funds",
       "I/FAC" => "Industrial Machinery",
       "I/FAD" => "Financial Administration",
       "I/FDR" => "Food Retailers & Wholesalers",
       "I/FIS" => "Specialty Finance",
       "I/FOD" => "Food-All",
       "I/FOR" => "Forestry",
       "I/FOT" => "Footwear",
       "I/FTR" => "Furnishings",
       "I/FTS" => "Fixed Line Telecommunications",
       "I/GAS" => "Gas Distribution",
       "I/GBPUS" => "GBP/USD currency pair",
       "I/GLD" => "Gold Mining",
       "I/HEA" => "Health Care Providers",
       "I/HIM" => "Home Improvement Retailers",
       "I/HOM" => "Home Construction",
       "I/HPD" => "Durable Household Products",
       "I/HPN" => "Nondurable Household Products",
       "I/HPR" => "Consumer & Household Products-Only",
       "I/IAS" => "Information & Online Services",
       "I/ICS" => "Business Support Services",
       "I/IDD" => "Diversified Industrials",
       "I/INB" => "Insurance Brokers",
       "I/INF" => "Full Line Insurance",
       "I/INL" => "Life Insurance",
       "I/INP" => "Property & Casualty Insurance",
       "I/INS" => "Insurance-All",
       "I/INU" => "Reinsurance",
       "I/ISV" => "Internet",
       "I/ITC" => "Electronic Equipment",
       "I/LOD" => "Hotels",
       "I/LTBC" => "Latin America Blue Chips",
       "I/MAR" => "Marine Transportation",
       "I/MDS" => "Medical Supplies",
       "I/MDV" => "Medical Equipment",
       "I/MED" => "Media-All",
       "I/MFN" => "Mortgage Finance",
       "I/MNG" => "General Mining",
       "I/MOV" => "Film, Television & Music Production",
       "I/MUT" => "Multi-utilities",
       "I/NZDUS" => "NZD/USD currency pair",
       "I/OFF" => "Electronic Office Equipment",
       "I/OFP" => "Food Products",
       "I/OIE" => "Oil Field Equipment & Services-All",
       "I/OIL" => "Integrated Oil & Gas",
       "I/OIS" => "Exploration & Production",
       "I/ONF" => "Nonferrous Metals",
       "I/OTA" => "Auto Parts",
       "I/OTS" => "Specialty Retailers",
       "I/PAP" => "Paper",
       "I/PCS" => "Precious Metals",
       "I/PIP" => "Pipelines",
       "I/PLN" => "Farming & Fishing",
       "I/POL" => "Waste & Disposal Services",
       "I/PPM" => "Platinum & Precious Metals",
       "I/PUB" => "Publishers",
       "I/RAI" => "Railroads",
       "I/RCS" => "Recreational Services",
       "I/RDT" => "Residential REITs",
       "I/RDV" => "Diversified REITs",
       "I/REA" => "Real Estate Investment",
       "I/RED" => "Real Estate Holding & Development",
       "I/REE" => "Renewable Energy Equipment",
       "I/REI" => "Real Estate Investment Trusts",
       "I/REQ" => "Recreational Products",
       "I/RES" => "Restaurants & Bars",
       "I/RHO" => "Hotel & Lodging REITs",
       "I/RMT" => "Mortgage REITs",
       "I/ROF" => "Industrial & Office REITs",
       "I/RRT" => "Retail REITs",
       "I/RSS" => "Real Estate Services",
       "I/RSY" => "Specialty REITs",
       "I/RTB" => "Retailers-Broadline",
       "I/RTD" => "Broadline Retailers",
       "I/RTS" => "Retailers-Specialty",
       "I/SAL" => "Savings & Loans",
       "I/SAP" => "Retailers-Apparel",
       "I/SCR" => "Investment Services",
       "I/SEM" => "Semiconductors",
       "I/SFT" => "Soft Drinks",
       "I/SGD" => "Sporting Goods",
       "I/SOF" => "Software",
       "I/STL" => "Iron & Steel",
       "I/SVC" => "Industrial & Commercial Services-All",
       "I/TAT" => "Travel & Tourism",
       "I/TEX" => "Textiles & Apparel-All",
       "I/TIR" => "Tires",
       "I/TLS" => "Telephone Systems-All",
       "I/TMF" => "Toys",
       "I/TOB" => "Tobacco",
       "I/TRK" => "Trucking",
       "I/TRQ" => "Transportation Equipment",
       "I/TRS" => "Transportation Services",
       "I/TSX" => "Computer Services",
       "I/UKSC" => "UK Smallcap",
       "I/USDBR" => "USD/BRL currency pair",
       "I/USDCA" => "USD/CAD currency pair",
       "I/USDCH" => "USD/CHF currency pair",
       "I/USDCL" => "USD/CLP currency pair",
       "I/USDCN" => "USD/CNY currency pair",
       "I/USDHK" => "USD/HKD currency pair",
       "I/USDIN" => "USD/INR currency pair",
       "I/USDJP" => "USD/JPY currency pair",
       "I/USDKR" => "USD/KRW currency pair",
       "I/USDMX" => "USD/MXN currency pair",
       "I/USDRU" => "USD/RUB currency pair",
       "I/USDSG" => "USD/SGD currency pair",
       "I/USDTH" => "USD/THB currency pair",
       "I/USDTR" => "USD/TRY currency pair",
       "I/USDZA" => "USD/ZAR currency pair",
       "I/VIN" => "Distillers & Vintners",
       "I/WAT" => "Water",
       "I/X225" => "Nikkei 225 Components",
       "I/XAEX" => "AEX Index Components",
       "I/XAPT" => "DJ Automobiles & Parts Titans 30 Index",
       "I/XATI" => "Dow Jones Asian Titans Index Components",
       "I/XATX" => "ATX Components",
       "I/XB20" => "Bel20 Components",
       "I/XBAT" => "DJ Banks Titans 30 Index",
       "I/XBRT" => "DJ Basic Resources Titans 30 Index",
       "I/XCA4" => "CAC 40 Components",
       "I/XCET" => "DJ Chemicals Titans 30 Index",
       "I/XCMT" => "DJ Construction & Materials Titans 30 Index",
       "I/XCSI" => "CSI 300 Index (China)",
       "I/XDAX" => "XETRA DAX Components",
       "I/XDJAT" => "DJ Arabia Titans 50 Index with Saudi",
       "I/XDJGI" => "Dow Jones Global Index Components",
       "I/XDJI" => "Dow Jones Industrial Average Components",
       "I/XDJLA" => "DJ Latin America Large-Cap Index",
       "I/XDJLC" => "DJ U.S. Large-Cap Index",
       "I/XDJLT" => "DJ Latin America Large-Cap Index",
       "I/XDJT" => "Dow Jones Transportation Average",
       "I/XDJU" => "Dow Jones Utilities Average",
       "I/XENX" => "Euronext 100",
       "I/XES" => "EuroSTOXX50",
       "I/XFBT" => "DJ Food & Beverages Titans 30 Index",
       "I/XFFX" => "Fortune 500 Index",
       "I/XFST" => "DJ Financial Services Titans 30 Index",
       "I/XFT1" => "FTSE 100 Components",
       "I/XFT2" => "FTSE 250 Components",
       "I/XGDW" => "Global Dow Components",
       "I/XGTI" => "Dow Jones Global Titans Index Components",
       "I/XHCT" => "DJ Health Care Titans 30 Index",
       "I/XHEX" => "HEX Components",
       "I/XHSG" => "Hang Seng Components",
       "I/XIBEX" => "IBEX-35 Components",
       "I/XIGT" => "DJ Industrial Goods & Services Titans 30 Index",
       "I/XINT" => "DJ Insurance Titans 30 Index",
       "I/XISL" => "Dow Jones Islamic Index Components",
       "I/XKFX" => "KFX Components",
       "I/XMDAX" => "DAX MidCap Index",
       "I/XMET" => "DJ Media Titans 30 Index",
       "I/XMIB" => "MIB 40 Components",
       "I/XNMP" => "Neuer Markt Index Components",
       "I/XNQ1" => "NASDAQ 100 Components",
       "I/XNYA" => "NYSE Composite Index Components",
       "I/XOBX" => "OBX Total Components",
       "I/XOGT" => "DJ Oil & Gas Titans 30 Index",
       "I/XORD" => "All Ordinaries Components",
       "I/XP20" => "PSI-20 Components",
       "I/XPGT" => "DJ Personal & Household Goods Titans 30 Index",
       "I/XRET" => "DJ Real Estate Titans 30 Index",
       "I/XRTT" => "DJ Retail Titans 30 Index",
       "I/XRUS" => "Russell 3000 component",
       "I/XSCI" => "US Small Cap Index",
       "I/XSDAX" => "DAX SmallCap Index",
       "I/XSLI" => "Global Large Cap Index",
       "I/XSMI" => "SMI Components",
       "I/XSP1" => "S&P 100 Index component",
       "I/XSP4" => "S&P Midcap 400",
       "I/XSP5" => "S&P 500 Index component",
       "I/XSP6" => "S&P Small Cap 600",
       "I/XST5" => "Dow Jones Stoxx 50 Components",
       "I/XSTC" => "DJ Sector Titans Composite Index",
       "I/XSTF" => "Dow Jones Sector Titan Index - Financial Components",
       "I/XSTS" => "S&P/TSX Composite (Canada)",
       "I/XSTT" => "Dow Jones Sector Titan Index - Telecommunications Components",
       "I/XSTX" => "Dow Jones Sector Titan Index - Technology Components",
       "I/XSXA" => "SX All Share Components",
       "I/XTDX" => "TecDAX Components",
       "I/XTLT" => "DJ Travel & Leisure Titans 30 Index",
       "I/XTSE" => "S&P/TSX Composite Index",
       "I/XUTT" => "DJ Utilities Titans 30 Index",
       "I/ZFU" => "Investment Products",
       "R/ABD" => "Abu Dhabi (United Arab Emirates)",
       "R/AC" => "Antigua & Barbuda",
       "R/AE" => "Algeria",
       "R/AF" => "Africa",
       "R/AFG" => "Afghanistan",
       "R/AG" => "Argentina",
       "R/AK" => "Alaska",
       "R/AL" => "Alabama",
       "R/ALB" => "Albania",
       "R/ALT" => "Alberta (province)",
       "R/ANR" => "Andorra",
       "R/AO" => "Angola",
       "R/AQ" => "American Samoa",
       "R/AR" => "Arkansas",
       "R/ARA" => "Arabian Peninsula",
       "R/ARB" => "Aruba",
       "R/ASA" => "Australia",
       "R/ASI" => "Asia",
       "R/AU" => "Austria",
       "R/AV" => "Anguilla",
       "R/AY" => "Antarctica",
       "R/AZ" => "Arizona",
       "R/BA" => "Bahrain",
       "R/BB" => "Barbados",
       "R/BC" => "Botswana",
       "R/BD" => "Bermuda",
       "R/BEL" => "Belgium",
       "R/BF" => "Bahamas",
       "R/BG" => "Bangladesh",
       "R/BI" => "Burundi",
       "R/BK" => "Burkina Faso",
       "R/BL" => "Bolivia",
       "R/BLZ" => "Belize",
       "R/BM" => "Myanmar (Burma)",
       "R/BNN" => "Benin",
       "R/BO" => "Bosnia-Herzegovina",
       "R/BQ" => "Bonaire, Saba, St. Eustatius",
       "R/BR" => "Brazil",
       "R/BRC" => "British Columbia (province)",
       "R/BT" => "Bhutan",
       "R/BU" => "Bulgaria",
       "R/BV" => "Bouvet Island",
       "R/BVI" => "British Virgin Islands",
       "R/BX" => "Brunei",
       "R/BY" => "Belarus",
       "R/CA" => "California",
       "R/CB" => "Cambodia",
       "R/CC" => "Curacao",
       "R/CD" => "Chad",
       "R/CF" => "Congo Republic",
       "R/CFR" => "Central African Republic",
       "R/CG" => "Congo",
       "R/CH" => "China",
       "R/CHE" => "Chechnya",
       "R/CI" => "Chile",
       "R/CJ" => "Cayman Islands",
       "R/CK" => "Czech Republic",
       "R/CKI" => "Cocos Islands",
       "R/CL" => "Colombia",
       "R/CM" => "Cameroon",
       "R/CME" => "Central America",
       "R/CN" => "Canada",
       "R/CO" => "Colorado",
       "R/COM" => "Comoros",
       "R/CR" => "Croatia",
       "R/CS" => "Costa Rica",
       "R/CT" => "Connecticut",
       "R/CU" => "Cuba",
       "R/CV" => "Cape Verde",
       "R/CW" => "Cook Islands",
       "R/CY" => "Cyprus",
       "R/CZ" => "Panama",
       "R/DA" => "Denmark",
       "R/DC" => "District of Columbia",
       "R/DE" => "Delaware",
       "R/DJB" => "Djibouti",
       "R/DOM" => "Dominica",
       "R/DR" => "Dominican Republic",
       "R/DUB" => "Dubai (United Arab Emirates)",
       "R/EA" => "Ecuador",
       "R/EC" => "European Union",
       "R/ECAR" => "East Central Area Reliability Coordination Agreement",
       "R/EEU" => "Eastern Europe",
       "R/EG" => "Egypt",
       "R/EI" => "Ireland",
       "R/EK" => "Equatorial Guinea",
       "R/EMEA" => "Europe/Middle East/Africa Energy Region",
       "R/ENG" => "England",
       "R/EO" => "Estonia",
       "R/ER" => "Eritrea",
       "R/ERCT" => "Electric Reliability Council of Texas",
       "R/ES" => "El Salvador",
       "R/ET" => "Ethiopia",
       "R/ETM" => "East Timor",
       "R/EU" => "Europe",
       "R/EUPW" => "European Power",
       "R/EZN" => "Eurozone Countries",
       "R/FE" => "Far East",
       "R/FEO" => "Far East, Other",
       "R/FG" => "French Guiana",
       "R/FI" => "Finland",
       "R/FJ" => "Fiji",
       "R/FL" => "Florida",
       "R/FLK" => "Falkland Islands",
       "R/FPO" => "French Polynesia",
       "R/FR" => "France",
       "R/FRCC" => "Florida Reliability Coordinating Council",
       "R/FXAS" => "FXTrader Asian content",
       "R/FXEM" => "FXTrader EMEA content",
       "R/FXLA" => "FXTrader Latin America content",
       "R/GA" => "Georgia",
       "R/GB" => "Gabon",
       "R/GE" => "Germany",
       "R/GG" => "Georgia (Far East)",
       "R/GH" => "Ghana",
       "R/GI" => "Gibraltar",
       "R/GJ" => "Grenada",
       "R/GL" => "Greenland",
       "R/GMB" => "Gambia",
       "R/GR" => "Greece",
       "R/GT" => "Guatemala",
       "R/GU" => "Guam",
       "R/GUA" => "Guadeloupe",
       "R/GVI" => "Guinea",
       "R/GY" => "Guyana",
       "R/HA" => "Haiti",
       "R/HEL" => "St. Helena",
       "R/HI" => "Hawaii",
       "R/HK" => "Hong Kong",
       "R/HO" => "Honduras",
       "R/HU" => "Hungary",
       "R/IA" => "Iowa",
       "R/ICL" => "Iceland",
       "R/ID" => "Idaho",
       "R/II" => "India",
       "R/IL" => "Illinois",
       "R/IND" => "Indiana",
       "R/IO" => "Indonesia",
       "R/IR" => "Iran",
       "R/ISR" => "Israel",
       "R/ITA" => "Italy",
       "R/IV" => "Ivory Coast",
       "R/IZ" => "Iraq",
       "R/JA" => "Japan",
       "R/JD" => "Jordan",
       "R/JM" => "Jamaica",
       "R/KE" => "Kenya",
       "R/KG" => "Kyrgyzstan",
       "R/KN" => "North Korea",
       "R/KOS" => "Kosovo",
       "R/KR" => "Kiribati",
       "R/KS" => "Kansas",
       "R/KU" => "Kuwait",
       "R/KY" => "Kentucky",
       "R/KZ" => "Kazakhstan (Kazakstan)",
       "R/LA" => "Louisiana",
       "R/LAO" => "Laos",
       "R/LAX" => "Los Angeles Metropolitan Area",
       "R/LBN" => "Lebanon",
       "R/LI" => "Liberia",
       "R/LN" => "Lithuania",
       "R/LS" => "Liechtenstein",
       "R/LT" => "Lesotho",
       "R/LTM" => "Latin America",
       "R/LU" => "Luxembourg",
       "R/LUC" => "St. Lucia",
       "R/LV" => "Latvia",
       "R/LY" => "Libya",
       "R/MA" => "Massachusetts",
       "R/MAAC" => "Mid-Atlantic Area Council",
       "R/MAC" => "Macedonia",
       "R/MAIN" => "Mid-American Interpool Network",
       "R/MAN" => "Manitoba (province)",
       "R/MAPP" => "Mid-Continent Area Power Pool",
       "R/MB" => "Martinique",
       "R/MC" => "Macau",
       "R/MCO" => "Morocco",
       "R/MCR" => "Micronesia",
       "R/MD" => "Maryland",
       "R/MDG" => "Madagascar",
       "R/ME" => "Maine",
       "R/MGR" => "Montenegro",
       "R/MH" => "Montserrat",
       "R/MI" => "Michigan",
       "R/ML" => "Middle East",
       "R/MLD" => "Maldives",
       "R/MLI" => "Mali",
       "R/MLT" => "Malta",
       "R/MLV" => "Moldova (Moldavia)",
       "R/MLW" => "Malawi",
       "R/MM" => "Mongolia",
       "R/MN" => "Minnesota",
       "R/MO" => "Missouri",
       "R/MOA" => "Monaco",
       "R/MQ" => "Mozambique",
       "R/MRI" => "Marshall Islands",
       "R/MRN" => "Mauritania",
       "R/MRT" => "Mauritius",
       "R/MS" => "Mississippi",
       "R/MT" => "Montana",
       "R/MU" => "Oman",
       "R/MX" => "Mexico",
       "R/MY" => "Malaysia",
       "R/NA" => "Netherlands Antilles",
       "R/NAPW" => "North American Power",
       "R/NBR" => "New Brunswick (province)",
       "R/NC" => "North Carolina",
       "R/NCD" => "New Caledonia",
       "R/ND" => "North Dakota",
       "R/NE" => "Nebraska",
       "R/NEI" => "Northern Ireland",
       "R/NERC" => "North American Electric Reliability Council",
       "R/NFN" => "Newfoundland (province)",
       "R/NG" => "Niger",
       "R/NH" => "New Hampshire",
       "R/NI" => "Nigeria",
       "R/NIU" => "Niue",
       "R/NJ" => "New Jersey",
       "R/NL" => "Netherlands",
       "R/NM" => "New Mexico",
       "R/NMB" => "Namibia",
       "R/NME" => "North America",
       "R/NMI" => "Northern Mariana Islands",
       "R/NOPW" => "Nordic Power Market",
       "R/NOY" => "Norway",
       "R/NP" => "Nepal",
       "R/NPCC" => "Northeast Power Coordinating Council",
       "R/NR" => "Nauru",
       "R/NS" => "Suriname",
       "R/NSC" => "Nova Scotia (province)",
       "R/NU" => "Nicaragua",
       "R/NV" => "Nevada",
       "R/NVT" => "Nunavut",
       "R/NWT" => "Northwest Territories",
       "R/NY" => "New York",
       "R/NYC" => "New York City",
       "R/NZ" => "New Zealand",
       "R/OH" => "Ohio",
       "R/OK" => "Oklahoma",
       "R/ONT" => "Ontario (province)",
       "R/ORG" => "Oregon",
       "R/PA" => "Pennsylvania",
       "R/PC" => "Pitcairn",
       "R/PE" => "Peru",
       "R/PEI" => "Prince Edward Island (province)",
       "R/PK" => "Pakistan",
       "R/PL" => "Poland",
       "R/PLA" => "Palau",
       "R/PNG" => "Papua New Guinea",
       "R/PO" => "Portugal",
       "R/PR" => "Puerto Rico",
       "R/PRM" => "Pacific Rim",
       "R/PSE" => "Palestine",
       "R/PU" => "Guinea-Bissau",
       "R/PY" => "Paraguay",
       "R/QA" => "Qatar",
       "R/QBC" => "Quebec (province)",
       "R/RE" => "Reunion",
       "R/RI" => "Rhode Island",
       "R/RM" => "Armenia",
       "R/RO" => "Romania",
       "R/RP" => "Philippines",
       "R/RS" => "Russia (Russian Federation)",
       "R/RW" => "Rwanda",
       "R/SA" => "Saudi Arabia",
       "R/SAS" => "Saskatchewan (province)",
       "R/SB" => "Serbia",
       "R/SC" => "South Carolina",
       "R/SCA" => "Scandinavia",
       "R/SCT" => "Scotland",
       "R/SD" => "South Dakota",
       "R/SE" => "Seychelles",
       "R/SERC" => "Southeast Electric Reliability Council",
       "R/SF" => "South Africa",
       "R/SG" => "Senegal",
       "R/SK" => "South Korea",
       "R/SKN" => "St. Kitts & Nevis",
       "R/SLI" => "Solomon Islands",
       "R/SLK" => "Sri Lanka",
       "R/SLO" => "Slovenia",
       "R/SLV" => "Slovakia",
       "R/SM" => "South America",
       "R/SMO" => "San Marino",
       "R/SN" => "Singapore",
       "R/SOM" => "Somalia",
       "R/SP" => "Spain",
       "R/SPM" => "St. Pierre & Miquelon",
       "R/SPP" => "Southwest Power Pool",
       "R/SRL" => "Sierra Leone",
       "R/SS" => "South Sudan",
       "R/SSA" => "Southeast Asia",
       "R/STM" => "St. Martin",
       "R/STP" => "Sao Tome & Principe",
       "R/SU" => "Sudan",
       "R/SV" => "Svalbard & Jan Mayen Islands",
       "R/SW" => "Sweden",
       "R/SX" => "Sint Maarten (Dutch)",
       "R/SY" => "Syria",
       "R/SZ" => "Switzerland",
       "R/TC" => "United Arab Emirates",
       "R/TG" => "Tonga",
       "R/TGO" => "Togo",
       "R/TH" => "Thailand",
       "R/TI" => "Tibet",
       "R/TJ" => "Tajikistan (Tadzhikistan)",
       "R/TK" => "Turks & Caicos Islands",
       "R/TKM" => "Turkmenistan (Turkmenia)",
       "R/TN" => "Tennessee",
       "R/TS" => "Tunisia",
       "R/TT" => "Trinidad & Tobago",
       "R/TU" => "Turkey",
       "R/TV" => "Tuvalu",
       "R/TW" => "Taiwan",
       "R/TX" => "Texas",
       "R/TZ" => "Tanzania",
       "R/UG" => "Uganda",
       "R/UK" => "United Kingdom",
       "R/UKR" => "Ukraine",
       "R/UR" => "Commonwealth of Independent States",
       "R/US" => "United States",
       "R/USC" => "Central U.S.",
       "R/USE" => "Eastern U.S.",
       "R/USS" => "Southern U.S.",
       "R/USW" => "Western U.S.",
       "R/UT" => "Utah",
       "R/UY" => "Uruguay",
       "R/UZB" => "Uzbekistan",
       "R/VA" => "Virginia",
       "R/VC" => "St. Vincent & the Grenadines",
       "R/VE" => "Venezuela",
       "R/VI" => "U.S. Virgin Islands",
       "R/VM" => "Vietnam",
       "R/VN" => "Vanuatu",
       "R/VT" => "Vermont",
       "R/VTC" => "Vatican City",
       "R/WA" => "Washington",
       "R/WEU" => "Western Europe",
       "R/WF" => "Wallis & Futuna Islands",
       "R/WI" => "Wisconsin",
       "R/WIS" => "West Indies",
       "R/WL" => "Wales",
       "R/WS" => "Western Samoa",
       "R/WSA" => "Western Sahara",
       "R/WSCC" => "Western Systems Coordinating Council",
       "R/WV" => "West Virginia",
       "R/WY" => "Wyoming",
       "R/WZ" => "Swaziland",
       "R/YE" => "Yemen",
       "R/YUK" => "Yukon Territories",
       "R/ZA" => "Zambia",
       "R/ZI" => "Zimbabwe",
       "R/ZR" => "Azerbaijan",
       "J/ABS" => "Abreast of the Market",
       "J/ACH" => "Aches & Claims",
       "J/ADJ" => "Asia Deal Journal",
       "J/ADT" => "Adventure & Travel",
       "J/AGD" => "Agenda",
       "J/AHD" => "A-Hed (Column 4)",
       "J/AMR" => "The Americas",
       "J/AOT" => "Ahead of the Tape",
       "J/ARE" => "The Arena",
       "J/ASF" => "Asian Stocks",
       "J/ASK" => "Ask Teri",
       "J/ATO" => "Autos",
       "J/ATR" => "Asian Trader",
       "J/BAY" => "Bay Area",
       "J/BDS" => "Bonds",
       "J/BED" => "Business Education",
       "J/BIZ" => "The Business",
       "J/BKK" => "Books",
       "J/BOL" => "Barron's Online Highlight",
       "J/BRB" => "Brussels Beat",
       "J/BRT" => "Barron's Roundtable",
       "J/BSL" => "Bookshelf",
       "J/BSS" => "Boss Talk",
       "J/BTB" => "Balancing the Books",
       "J/BWA" => "Business Watch",
       "J/BZA" => "Business Asia",
       "J/BZE" => "Business Europe (WSJE)",
       "J/BZF" => "Business & Finance (Column 2)",
       "J/BZT" => "Business Technology",
       "J/BZW" => "Business World",
       "J/CAP" => "Capital Journal",
       "J/CFO" => "CFO Journal",
       "J/CMC" => "Commodities Corner",
       "J/CMK" => "Commodities Report",
       "J/CNS" => "Corporate News",
       "J/COK" => "Cooking & Eating",
       "J/COU" => "The Couch",
       "J/CPL" => "Capital",
       "J/CPW" => "Corporate Watch",
       "J/CRA" => "Current Account",
       "J/CRB" => "Crystal Ball",
       "J/CRD" => "Credit Markets",
       "J/CRK" => "The Cranky Consumer",
       "J/CRS" => "Cars",
       "J/CRT" => "China Real Time Report",
       "J/CSP" => "CEO Spotlight",
       "J/CST" => "Cover Story",
       "J/CXC" => "Cross Country",
       "J/CYD" => "Current Yield",
       "J/DCC" => "D.C. Current",
       "J/DCL" => "Declarations",
       "J/DGM" => "Digital Media",
       "J/DGS" => "The Digital Solution",
       "J/DGT" => "Digits",
       "J/DLJ" => "Deal Journal",
       "J/DMK" => "Deals & Dealmakers",
       "J/DND" => "Design & Decorating",
       "J/DWK" => "Deal of the Week",
       "J/ECB" => "Economic Beat",
       "J/ECN" => "The Economy (a2)",
       "J/EDP" => "Editorial-Page Articles",
       "J/EDS" => "Enterprise Dispatcha",
       "J/EDY" => "Editorial Commentary",
       "J/EFO" => "ETF Focus",
       "J/EHR" => "Heard on the Street",
       "J/ENC" => "Entertainment & Culture",
       "J/ENS" => "Earnings",
       "J/ENW" => "Europe News",
       "J/ERW" => "Earnings Watch",
       "J/ESM" => "European Stock Markets",
       "J/ETP" => "Enterprise",
       "J/EUW" => "Europe Watch",
       "J/EYE" => "Eyes on the Road",
       "J/FBB" => "Financial Briefing Book",
       "J/FDK" => "Food & Drink",
       "J/FEA" => "Features",
       "J/FEX" => "Currency Trading",
       "J/FLM" => "Review/Film",
       "J/FMV" => "Family Value",
       "J/FMX" => "Work & Family Mailbox",
       "J/FOI" => "Fund of Information",
       "J/FOL" => "Follow-Up",
       "J/FRJ" => "Friday Journal",
       "J/FVB" => "Five Best",
       "J/GDT" => "Gadgets",
       "J/GGO" => "Getting Going",
       "J/GLF" => "Global Finance",
       "J/GLJ" => "Golf Journal",
       "J/GLV" => "Global View",
       "J/GNG" => "Gear & Gadgets",
       "J/GNY" => "Greater New York section of The WSJ",
       "J/GUY" => "The Numbers Guy",
       "J/GWK" => "Gadget of the Week",
       "J/HDG" => "Home & Digital",
       "J/HFL" => "Heard on the Field",
       "J/HLH" => "Health",
       "J/HMB" => "Health Mailbox",
       "J/HOZ" => "On the Horizon",
       "J/HRT" => "Heart Beat",
       "J/HST" => "Heard on the Street Column",
       "J/HSW" => "House of Worship",
       "J/HWL" => "Health & Wellness",
       "J/ICO" => "Icons",
       "J/IDA" => "Ideas Market",
       "J/IDR" => "India Real Time",
       "J/IIN" => "International Investor",
       "J/ILB" => "In the Lab",
       "J/IMK" => "Inside Market Items",
       "J/INA" => "Information Age",
       "J/INO" => "IPO Outlook",
       "J/IPT" => "Informed Patient",
       "J/ITK" => "Inside Track",
       "J/ITN" => "Insider Transactions Column",
       "J/ITV" => "Interview",
       "J/ITZ" => "European Trader",
       "J/JHC" => "Health Journal",
       "J/JOB" => "Careers",
       "J/JRT" => "Japan Real Time",
       "J/LAS" => "Life & Style",
       "J/LFW" => "Life/Work",
       "J/LJL" => "Law Journal",
       "J/LME" => "Late Markets Edition",
       "J/LMJ" => "Large Majors",
       "J/LNA" => "Leisure & Arts",
       "J/LRS" => "Letters to the Editor",
       "J/MAS" => "Main Street",
       "J/MBG" => "Mailbag",
       "J/MBT" => "MarketBeat",
       "J/MCS" => "Main Cover Story",
       "J/MDL" => "The Middle Seat",
       "J/MEC" => "Me & My Car",
       "J/MED" => "Media",
       "J/MFD" => "Mutual Funds",
       "J/MFU" => "Fund Track",
       "J/MGC" => "Managing",
       "J/MIM" => "Major Market Items",
       "J/MKR" => "Market Focus",
       "J/MKW" => "Market Watch",
       "J/MMB" => "Mossberg's Mailbox",
       "J/MMK" => "Marketing & Media",
       "J/MNA" => "Managing in Asia",
       "J/MNO" => "Minors",
       "J/MSL" => "The Mossberg Solution",
       "J/MSP" => "Masterpiece",
       "J/MTM" => "Moving the Market",
       "J/MTW" => "Market Week",
       "J/MVG" => "Moving On",
       "J/MVW" => "The Monday Interview",
       "J/NAQ" => "Notable & Quotable",
       "J/NBS" => "The New Basics",
       "J/NID" => "In Depth",
       "J/OED" => "Op-Ed Articles",
       "J/OFD" => "Off Duty",
       "J/OIO" => "Offerings in the Offing",
       "J/OLK" => "The Outlook",
       "J/OOF" => "On Other Fronts",
       "J/OPT" => "Options Report",
       "J/OST" => "On Style",
       "J/OTV" => "Other Voices",
       "J/OTW" => "Off the Wall",
       "J/PFL" => "Profile",
       "J/PGO" => "Page One Umbrella",
       "J/PLG" => "Plugged In",
       "J/PLP" => "Plots & Ploys",
       "J/PMK" => "Panmarkets",
       "J/POM" => "Potomac Watch",
       "J/PPT" => "Private Properties",
       "J/PRP" => "The Property Report",
       "J/PSF" => "Personal Finance",
       "J/PSJ" => "Personal Journal",
       "J/PTK" => "Personal Technology",
       "J/QMF" => "Quarterly Mutual Funds",
       "J/REL" => "Relative Values",
       "J/REM" => "Remembrances",
       "J/REV" => "Review",
       "J/RNP" => "Review & Outlook Primary",
       "J/RNS" => "Review & Outlook Secondary",
       "J/RPJ" => "Reporter's Journal",
       "J/RRP" => "The Research Report",
       "J/RSR" => "Research Reports",
       "J/RVF" => "Review: Film",
       "J/RVP" => "Review & Preview",
       "J/RVT" => "Review: Theater",
       "J/SBZ" => "Small Business",
       "J/SCP" => "Sizing Up Small Caps",
       "J/SDV" => "Speaking of Dividends",
       "J/SFR" => "Second Front",
       "J/SIG" => "Sightings",
       "J/SMS" => "Smart Spending",
       "J/SNT" => "Style & Travel",
       "J/SPE" => "Special Sections",
       "J/SPO" => "Sports",
       "J/SPR" => "The Striking Price",
       "J/SSL" => "Short Selling",
       "J/STF" => "Style & Fashion",
       "J/STY" => "Style",
       "J/SWX" => "Streetwise",
       "J/TAC" => "The Activist Spotlight",
       "J/TCH" => "Technology",
       "J/TCJ" => "Technology Journal",
       "J/TCT" => "The Count",
       "J/TEI" => "The Electronic Investor",
       "J/TEK" => "Technology Week",
       "J/TEU" => "Tech Europe",
       "J/TFR" => "Third Front Umbrella",
       "J/TGA" => "The Game",
       "J/TGF" => "The Ground Floor",
       "J/THD" => "13d Filings",
       "J/THF" => "The Home Front",
       "J/TII" => "The Intelligent Investor",
       "J/TPR" => "Theory & Practice",
       "J/TPT" => "Business & Finance Column Stories",
       "J/TRV" => "Travel",
       "J/TSS" => "Tricks of the Trade",
       "J/TTD" => "The Trader",
       "J/TTR" => "Tech Trader",
       "J/TVR" => "Review: Television",
       "J/TWA" => "The Week Ahead",
       "J/TWK" => "This Week",
       "J/TXR" => "Tax Report",
       "J/TXS" => "Taxing Subject",
       "J/UPD" => "Up & Down Wall Street",
       "J/UPE" => "Upside",
       "J/UPS" => "The Upshot",
       "J/USN" => "U.S. News",
       "J/VNO" => "Wine",
       "J/WAH" => "What's Ahead",
       "J/WBD" => "World Bond Markets",
       "J/WIX" => "Weekend Investor",
       "J/WKI" => "The Weekend Interview",
       "J/WKJ" => "Weekend Journal",
       "J/WLD" => "World-Wide (Column 3)",
       "J/WLH" => "Wealth Manager",
       "J/WND" => "Wonder Land",
       "J/WNE" => "World News",
       "J/WOW" => "World Watch",
       "J/WRK" => "Work & Family",
       "J/WST" => "World Stock Markets",
       "J/WUS" => "U.S. Watch",
       "J/WYW" => "What's Your Workout?",
       "M/AED" => "UAE Dirham",
       "M/AFN" => "Afghani",
       "M/ALL" => "Lek",
       "M/AMD" => "Armenian Dram",
       "M/ANG" => "Netherlands Antillean Guilder",
       "M/AOA" => "Kwanza",
       "M/ARS" => "Argentine Peso",
       "M/AUD" => "Australian Dollar",
       "M/AUDH" => "Australian Dollar for Trader Alerts",
       "M/AWG" => "Aruban Guilder",
       "M/AZN" => "Azerbaijani Manat",
       "M/BAM" => "Bosnia-Herzegovina Convertible Marks",
       "M/BBD" => "Barbados Dollar",
       "M/BDT" => "Taka",
       "M/BGN" => "Bulgarian Lev",
       "M/BHD" => "Bahraini Dinar",
       "M/BIF" => "Burundi Franc",
       "M/BMD" => "Bermudian Dollar",
       "M/BND" => "Brunei Dollar",
       "M/BOB" => "Boliviano",
       "M/BRL" => "Brazilian Real",
       "M/BSC" => "Basic Materials",
       "M/BSD" => "Bahamian Dollar",
       "M/BTN" => "Ngultrum",
       "M/BWP" => "Pula",
       "M/BYR" => "Belarus Ruble",
       "M/BZD" => "Belize Dollar",
       "M/CAD" => "Canadian Dollar",
       "M/CADH" => "Canadian Dollar for Trader Alerts",
       "M/CDF" => "Congolese Franc",
       "M/CHF" => "Swiss Franc",
       "M/CHFH" => "Swiss Franc for Trader Alerts",
       "M/CLF" => "Unidades de Fomento",
       "M/CLP" => "Chilean Peso",
       "M/CNY" => "Yuan Renminbi",
       "M/COP" => "Colombian Peso",
       "M/CRC" => "Costa Rican Colon",
       "M/CUP" => "Cuban Peso",
       "M/CVE" => "Cape Verde Escudo",
       "M/CYC" => "Consumer Services",
       "M/CZK" => "Czech Koruna",
       "M/DJF" => "Djibouti Franc",
       "M/DKK" => "Danish Krone",
       "M/DOP" => "Dominican Peso",
       "M/DZD" => "Algerian Dinar",
       "M/EEK" => "Kroon",
       "M/EGP" => "Egyptian Pound",
       "M/ENE" => "Oil & Gas",
       "M/ERN" => "Eritrean Nakfa",
       "M/ETB" => "Ethiopian Birr",
       "M/EUR" => "Euro European Union",
       "M/EURH" => "Euro for Trader Alerts",
       "M/FCL" => "Financial",
       "M/FJD" => "Fiji Dollar",
       "M/FKP" => "Falkland Islands Pound",
       "M/GBP" => "Pound Sterling",
       "M/GBPH" => "Pound Sterling for Trader Alerts",
       "M/GBUS" => "US and Euro money pair",
       "M/GEL" => "Georgian Lari",
       "M/GHC" => "Cedi",
       "M/GIP" => "Gibraltar Pound",
       "M/GMD" => "Dalasi",
       "M/GNF" => "Guinea Franc",
       "M/GTQ" => "Quetzal",
       "M/GYD" => "Guyana Dollar",
       "M/HCR" => "Health Care",
       "M/HKD" => "Hong Kong Dollar",
       "M/HKDH" => "Hong Kong Dollar for Trader Alerts",
       "M/HNL" => "Lempira",
       "M/HRK" => "Croatia Kuna",
       "M/HTG" => "Gourde",
       "M/HUF" => "Forint",
       "M/IDR" => "Rupiah",
       "M/IDU" => "Industrials",
       "M/ILS" => "Shekel",
       "M/INR" => "Indian Rupee",
       "M/IQD" => "Iraqi Dinar",
       "M/IRR" => "Iranian Rial",
       "M/ISK" => "Icelandic Krona",
       "M/JMD" => "Jamaican Dollar",
       "M/JOD" => "Jordanian Dinar",
       "M/JPY" => "Yen Japan",
       "M/JPYH" => "Yen Japan for Trader Alerts",
       "M/KES" => "Kenyan Shilling",
       "M/KGS" => "Kyrgyz Som",
       "M/KHR" => "Riel",
       "M/KMF" => "Comoro Franc",
       "M/KPW" => "North Korean Won",
       "M/KRW" => "South Korean Won",
       "M/KWD" => "Kuwaiti Dinar",
       "M/KYD" => "Cayman Islands Dollar",
       "M/KZT" => "Kazakh Tenge",
       "M/LAK" => "Kip",
       "M/LBP" => "Lebanese Pound",
       "M/LKR" => "Sri Lanka Rupee",
       "M/LRD" => "Liberian Dollar",
       "M/LSL" => "Loti",
       "M/LTL" => "Lithuania Litas",
       "M/LVL" => "Latvia Lats",
       "M/LYD" => "Libyan Dinar",
       "M/MAD" => "Moroccan Dirham",
       "M/MDL" => "Moldova Leu",
       "M/MGA" => "Malagasy Ariary",
       "M/MKD" => "Macedonian Denar",
       "M/MMK" => "Kyat",
       "M/MMR" => "More News to Follow",
       "M/MNT" => "Tugrik",
       "M/MOP" => "Pataca",
       "M/MRO" => "Ouguiya",
       "M/MUR" => "Mauritius Rupee",
       "M/MVR" => "Rufiyaa",
       "M/MWK" => "KWACHA",
       "M/MXN" => "Mexican Nuevo Peso",
       "M/MXNH" => "Mexican Nuevo Peso for Trader Alerts",
       "M/MYR" => "Malaysian Ringgit",
       "M/MZN" => "Mozambique Metical",
       "M/NAD" => "Namibian Dollar",
       "M/NCY" => "Consumer Goods",
       "M/NGN" => "Naira",
       "M/NIO" => "Oro",
       "M/NND" => "End of Story",
       "M/NOK" => "Norwegian Krone",
       "M/NPR" => "Nepalese Rupee",
       "M/NZD" => "New Zealand Dollar",
       "M/OMR" => "Omani Rial",
       "M/PAB" => "Balboa",
       "M/PEN" => "Nuevo Sol",
       "M/PGK" => "Kina",
       "M/PHP" => "Philippine Peso",
       "M/PKR" => "Pakistan Rupee",
       "M/PLN" => "Zloty",
       "M/PYG" => "Guarani",
       "M/QAR" => "Qatari Rial",
       "M/RON" => "Romanian New Leu",
       "M/RSD" => "Serbian Dinar",
       "M/RUB" => "Russian Ruble",
       "M/RUBH" => "Russian Ruble for Trader Alerts",
       "M/RWF" => "Rwanda Franc",
       "M/SAR" => "Saudi Riyal",
       "M/SBD" => "Solomon Islands Dollar",
       "M/SCR" => "Seychelles Rupee",
       "M/SDD" => "Sudanese Dinar",
       "M/SEK" => "Swedish Krone",
       "M/SGD" => "Singapore Dollar",
       "M/SHP" => "St. Helena Pound",
       "M/SKK" => "Slovak Koruna",
       "M/SLL" => "Leone",
       "M/SOS" => "Somali Shilling",
       "M/SRD" => "Suriname dollar",
       "M/SSP" => "South Sudanese Pound",
       "M/STD" => "Dobra",
       "M/SVC" => "El Salvador Colon",
       "M/SYP" => "Syrian Pound",
       "M/SZL" => "Lilangeni",
       "M/TEC" => "Technology",
       "M/TEL" => "Telecommunications",
       "M/THB" => "Baht",
       "M/TJS" => "Tajikistan Somoni",
       "M/TMT" => "Turkmen Manat",
       "M/TND" => "Tunisian Dinar",
       "M/TOP" => "Pa'anga",
       "M/TPX" => "Clip Blocking Code",
       "M/TRY" => "New Turkish Lira",
       "M/TTD" => "Trinidad & Tobago Dollar",
       "M/TWD" => "New Taiwan Dollar",
       "M/TZS" => "Tanzanian Shilling",
       "M/UAH" => "Ukraine Hryvnia",
       "M/UGX" => "Uganda Shilling",
       "M/USD" => "U.S. Dollar",
       "M/USDH" => "US Dollar for Trader Alerts",
       "M/USX" => "Dollar index",
       "M/UTI" => "Utilities",
       "M/UYU" => "Uruguayan Peso",
       "M/UZS" => "Uzbek Sum",
       "M/VEF" => "Venezuelan Bolivars Fuerte",
       "M/VND" => "Dong",
       "M/VUV" => "Vatu",
       "M/WST" => "Tala",
       "M/XAF" => "CFA Franc BEAC",
       "M/XCD" => "East Caribbean Dollar",
       "M/XOF" => "CFA Franc BCEAO",
       "M/XPF" => "CFP Franc",
       "M/YER" => "Yemeni Rial",
       "M/ZAR" => "Rand",
       "M/ZMK" => "Kwacha",
       "M/ZWD" => "Zimbabwe Dollar",
       "P/AAG" => "Aktiencheck.de AG / financial advertising AG via FTP",
       "P/AAL" => "Ansdell Associates Ltd. via FTP",
       "P/AAP" => "Auto-Auto-Published Stories on DJBN",
       "P/ACD" => "Autopublished Corporate Data",
       "P/ACS" => "French corporate disclosures (French language) from Actus",
       "P/AEQ" => "Asian Equities Spotlight",
       "P/AGF" => "Agence France Presse",
       "P/ALLW" => "Companies in All Wires",
       "P/ALMW" => "All MarketWatch",
       "P/APLD" => "AP Copy Filed from London",
       "P/APNY" => "AP Copy Filed from New York",
       "P/APSI" => "AP Copy Filed from Singapore",
       "P/AS01" => "Archive Server Source 1",
       "P/AS02" => "Archive Server Source 2",
       "P/AS03" => "Archive Server Source 3",
       "P/AS04" => "Archive Server Source 4",
       "P/ASU" => "Alerts Suppression",
       "P/AWEB" => "Americas en Espanol Web",
       "P/AWPK" => "AWP K Wire for Unlisted Company news",
       "P/BACA" => "BAC Berlin Atlantic Capital AG",
       "P/BCCC" => "Biotech Corporate Communications Consulting, Germany IE b3c Germ",
       "P/BFX" => "Forex Block",
       "P/BIPS" => "Borsa Italiana price sensitive announcements via Milano Finanza",
       "P/BKCO" => "UK Market Talk Roundup: Broker Comments",
       "P/BKG" => "Companies on the Bankers Report",
       "P/BNR" => "Special Reports Bonds",
       "P/BNS" => "Top News \"Helper\" Code",
       "P/BPFX" => "Dow Jones FX Select in Portuguese for Brazil",
       "P/BSEX" => "Press releases from the Bombay Stock Exchange",
       "P/BTG" => "beteiligungsreport.de",
       "P/BWRM" => "Business Wires Research and Markets",
       "P/BWVC" => "Venture Capital content from Business wire for Private Markets",
       "P/BZNS" => "Dow Jones Business News-Originated Content",
       "P/CALD" => "Dow Jones Calendar Live Data Feed (ex FX Trader content)",
       "P/CAT" => "Companies for Americas Timeoffs",
       "P/CDFX" => "FX Trader Calendar content",
       "P/CHA" => "Change of Address",
       "P/CKP" => "Clickpress",
       "P/CMEN" => "News for CME",
       "P/CMO" => "Compliance with Model Code",
       "P/CMR" => "Companies on the Capital Markets Report",
       "P/COD" => "Special Reports Commodities",
       "P/COPY" => "Republished Newswires Items",
       "P/CRU" => "Special Reports Energy",
       "P/CSN" => "Press release and disclosures Cision",
       "P/DAP" => "Autoprocessed Stories",
       "P/DCX" => "Copy from DC Bureau",
       "P/DCZ" => "Top Computers/Software News",
       "P/DEIM" => "DDP Direct into EIM",
       "P/DEX" => "Top Technology",
       "P/DEZ" => "Top Energy News",
       "P/DFP" => "Front Page Business News",
       "P/DFZ" => "Top Financial-Services News",
       "P/DHS" => "Stocks To Watch",
       "P/DHZ" => "Top Health Care Industry News",
       "P/DIND" => "Deals India",
       "P/DJBP" => "DJ em Portuguese",
       "P/DJBR" => "stories from Dow Jones Bankruptcy Review",
       "P/DJCB" => "Companies on the Corporate Bond Service",
       "P/DJCS" => "Companies on the Dow Jones Commodities Service",
       "P/DLAP" => "Dutch Language Newswires auto-published items",
       "P/DLZ" => "Top Telecommunications News",
       "P/DMG" => "Derivate Magazin",
       "P/DMZ" => "Top Media & Entertainment News",
       "P/DOS" => "Disclosure of Short Position",
       "P/DRT" => "Top International News",
       "P/DTM" => "Top Markets News",
       "P/DUBE" => "Belgium EPRs",
       "P/E2H" => "Auto-generated elementized-to-headlines content",
       "P/E2HE" => "auto-generated English elementized-to-headline (E2H)",
       "P/EBM" => "EBM Electronic Business Management GmbH",
       "P/ECON" => "Algo Econ content",
       "P/EDS" => "Edited summaries",
       "P/EFNW" => "eFinancial News",
       "P/EIE" => "Equity Investor Europe",
       "P/EMB" => "Embargoed Journal Stories",
       "P/ENEC" => "English Energy & Commodity News from Nabuu",
       "P/EQE" => "Equity Trader Europe",
       "P/EQU" => "Special Reports Equities",
       "P/ESPT" => "eSpot editor content",
       "P/ETLR" => "Estonian Language releases",
       "P/EWR" => "Companies on the Economic Report",
       "P/EXCL" => "Exclusive",
       "P/F85" => "Form 8.5",
       "P/FAN" => "fair-NEWS.de",
       "P/FDTN" => "Dow Jones French Domestic Top News",
       "P/FID" => "FID Verlag",
       "P/FRTN" => "Dow Jones French Regional Top News",
       "P/FX" => "Special Reports Foreign Exchange",
       "P/FX1" => "FX Trader One",
       "P/FX15" => "FX Trader 15 Minute Embargo",
       "P/FX1M" => "FXTrader One Minute Embargo",
       "P/FX2" => "FX Trader Two",
       "P/FX2H" => "FXTrader Two Hour Embargo",
       "P/FX3" => "FX Trader Three",
       "P/FX30" => "FXTrader Half Hour Embargo",
       "P/FX4" => "FX Trader Four",
       "P/FX5" => "FX Trader Five",
       "P/FX6" => "FX Trader Six",
       "P/FX7" => "FX Trader Seven",
       "P/FX8" => "FX Trader Eight",
       "P/FX9" => "FX Trader Nine",
       "P/FXAR" => "Dow Jones FX Select in Arabic",
       "P/FXCH" => "Dow Jones Chinese FX Select",
       "P/FXCL" => "FXTrader Exclusive FXCall",
       "P/FXCM" => "FX Commodities Market Coverage",
       "P/FXDM" => "FXTrader Dominant",
       "P/FXEC" => "FXTrader Exclusive Analysis and Forecast",
       "P/FXEQ" => "FXTrader Equities Market Coverage",
       "P/FXEX" => "FX Trader Exclusive",
       "P/FXFT" => "FXTrader First Take",
       "P/FXFX" => "FX Foreign Exchange Market Coverage",
       "P/FXHT" => "FX hot",
       "P/FXIR" => "FX Interest Rates Market Coverage",
       "P/FXJA" => "Dow Jones Japanese FX Select",
       "P/FXLM" => "FX Latest Market Coverage",
       "P/FXMB" => "FX Morning Briefing",
       "P/FXMM" => "FXTrader Market Moving News",
       "P/FXRE" => "FXTrader Exclusive Best of the Rest",
       "P/FXRU" => "FX Select Russian",
       "P/FXSI" => "MF Dow Jones FX Select in Italian",
       "P/FXST" => "FXTrader Exclusive Strategy",
       "P/FXTM" => "FXTrader Exclusive Market Talk",
       "P/FXTR" => "Dow Jones FX Trader",
       "P/GBC" => "German Business Concepts GmbH",
       "P/GDTN" => "Dow Jones German Domestic Top News",
       "P/GEEC" => "German Energy & Commodity News from Nabuu",
       "P/GEI" => "G7 Economic Indicators Headlines",
       "P/GMA" => "German Multi Asset",
       "P/GRTN" => "Dow Jones German Regional Top News",
       "P/GWEB" => "German DJ Web",
       "P/HDL" => "Headline-Only Items-All",
       "P/HIF" => "Headline Indicator Feed",
       "P/HKEX" => "Press releases from the Hong Kong Stock Exchange",
       "P/HLO" => "Headline-Only Items-Standalone",
       "P/IBC" => "Investment Banker content",
       "P/ICN" => "ICN Group",
       "P/IDTN" => "MF Dow Jones Italian Domestic Top News",
       "P/IMBL" => "Stock Imbalances",
       "P/IRTN" => "MF Dow Jones Italian Regional Top News",
       "P/ITLP" => "Italian Language Package",
       "P/ITO" => "it.organge",
       "P/JSE" => "Johannesburg Stock Exchange News Service",
       "P/JWS" => "Stories from the Japanese Language WSJ.com",
       "P/KPR" => "KfW",
       "P/KSXC" => "Karachi Stock Exchange in Pakistan",
       "P/LALR" => "Latvian Language Releases",
       "P/LCK" => "Washington, D.C. Lockups",
       "P/LTLR" => "Lithuanian Language releases",
       "P/M3C" => "M3 Communications Group Inc.",
       "P/MAAD" => "Dow Jones Multi-Asset Advanced",
       "P/MABA" => "Dow Jones Multi-Asset Basic",
       "P/MACT" => "London Most Actives",
       "P/MAFX" => "Macro for FX Trader",
       "P/MAST" => "Dow Jones Multi-Asset Standard",
       "P/MCOL" => "MarketWatch column",
       "P/MDK" => "Media Monitor Desk Pickups",
       "P/MFIT" => "MFDJ Italian",
       "P/MTI" => "MyTrade Informations Ltd.",
       "P/MWAB" => "All Aboard!",
       "P/MWAC" => "Ahead of the Curve",
       "P/MWAD" => "Ray Beauchemin's Letters from Abu Dhabi",
       "P/MWAH" => "After Hours",
       "P/MWAJ" => "Amotz Asa-El's View from Jerusalem",
       "P/MWAK" => "Amy Hoak's Home Economics",
       "P/MWAL" => "Al Lewis",
       "P/MWAM" => "Asia Markets",
       "P/MWAR" => "Auto Review",
       "P/MWAS" => "Airline Stocks",
       "P/MWBB" => "Before the Bell",
       "P/MWBD" => "Bill Donoghue",
       "P/MWBO" => "Bond Report",
       "P/MWBR" => "Biotech Report",
       "P/MWBS" => "Biotech Stocks",
       "P/MWBU" => "MarketWatch Bulletins",
       "P/MWCA" => "Caixin Online",
       "P/MWCB" => "Consumer Banking",
       "P/MWCC" => "Commodities Corner",
       "P/MWCH" => "Craig Stephen's This Week in China",
       "P/MWCJ" => "Chuck Jaffe",
       "P/MWCM" => "Credit Markets",
       "P/MWCN" => "Canadian Markets",
       "P/MWCO" => "MarketWatch Commodities Report",
       "P/MWCP" => "MarketWatch Corporate Watchdog",
       "P/MWCR" => "Capitol Report",
       "P/MWCT" => "MarketWatch Commodities Trader",
       "P/MWCU" => "Currencies",
       "P/MWCV" => "Car Review",
       "P/MWCW" => "Consumer Watch",
       "P/MWCX" => "Corrections",
       "P/MWCY" => "Community Commons",
       "P/MWDA" => "David Cottle",
       "P/MWDC" => "David Callaway",
       "P/MWDD" => "Due Diligence",
       "P/MWDL" => "Browsing for Dollars",
       "P/MWDN" => "David Nassar",
       "P/MWDT" => "Daily Tax Tip",
       "P/MWDV" => "David Prestbo's Indexed Investor",
       "P/MWEE" => "European Stocks to Watch",
       "P/MWEI" => "ETF Investing",
       "P/MWEM" => "Emerging Markets Report",
       "P/MWEN" => "Economic Outlook",
       "P/MWEO" => "Earnings Outlook",
       "P/MWEP" => "Economic Preview",
       "P/MWER" => "Economic Report",
       "P/MWES" => "Energy Stocks",
       "P/MWET" => "ETF Focus",
       "P/MWEW" => "Earnings Watch",
       "P/MWEX" => "Market Extra",
       "P/MWFI" => "The Proactive Fund Investor, with Bill Donoghue",
       "P/MWFM" => "Forecaster of the Month",
       "P/MWFR" => "The Fed",
       "P/MWFS" => "Financial Stocks",
       "P/MWFT" => "MarketWatch First Take",
       "P/MWFU" => "Futures Movers",
       "P/MWFV" => "Five Questions For...",
       "P/MWFW" => "FundWatch",
       "P/MWGC" => "The Guru's Corner",
       "P/MWGG" => "Gender Gap",
       "P/MWGI" => "Global Investor",
       "P/MWGO" => "Howard Gold Column",
       "P/MWGR" => "MarketWatch Global Resources Trader",
       "P/MWHC" => "Health-care Stocks",
       "P/MWHG" => "Hedge Funds",
       "P/MWHL" => "MarketWatch Headlines",
       "P/MWHU" => "Hulbert Interactive",
       "P/MWID" => "Indications",
       "P/MWIK" => "Irwin Kellner",
       "P/MWIP" => "IPO Report",
       "P/MWIS" => "Israel Stocks",
       "P/MWJB" => "Jonathan Burton's Life Savings",
       "P/MWJD" => "John Dvorak's Second Opinion",
       "P/MWJF" => "Jon Friedman's Media Web",
       "P/MWJK" => "Jon Markman's Speculations",
       "P/MWJL" => "Jim Lowell",
       "P/MWJM" => "Jim Murphy",
       "P/MWJO" => "Jennifer Openshaw",
       "P/MWJP" => "John Prestbo's Indexed Investor",
       "P/MWJS" => "John Satish Kumar's This Week in India",
       "P/MWJW" => "Jennifer Waters' Consumer Confidential",
       "P/MWKM" => "Kathleen Madigan",
       "P/MWLA" => "Latin American Markets",
       "P/MWLC" => "London Calling",
       "P/MWLI" => "Money for Life",
       "P/MWLM" => "Lawrence G. McMillan",
       "P/MWLN" => "London Markets",
       "P/MWLS" => "Life Savings",
       "P/MWLT" => "Lisa Twaronite's This Week in Japan",
       "P/MWMA" => "Alen Mattich",
       "P/MWMD" => "Market Update",
       "P/MWME" => "Todd Harrison's Memoirs of a Minyan",
       "P/MWMF" => "Mutual Funds",
       "P/MWMH" => "Mark Hulbert",
       "P/MWMK" => "Europe Markets",
       "P/MWML" => "Marshall Loeb",
       "P/MWMN" => "Bill Mann",
       "P/MWMO" => "Marsh on Monday",
       "P/MWMR" => "Media Report",
       "P/MWMS" => "Metals Stocks",
       "P/MWMT" => "Mortgages",
       "P/MWMU" => "Mutual Understanding",
       "P/MWMV" => "Movers & Shakers",
       "P/MWNR" => "Newsletters & Research",
       "P/MWNW" => "Newswatch",
       "P/MWOB" => "Outside the Box",
       "P/MWOL" => "Odd Lots",
       "P/MWOT" => "MarketWatch Options Trader",
       "P/MWPA" => "Personal Adviser",
       "P/MWPB" => "MarketWatch Pulse Bullets",
       "P/MWPC" => "Darrell Delamaide's Political Capital",
       "P/MWPD" => "Personal Finance Daily",
       "P/MWPF" => "Paul B. Farrell",
       "P/MWPM" => "Personal MarketWatch",
       "P/MWPT" => "Peter Brimelow",
       "P/MWPW" => "Robert Powell's Your Portfolio",
       "P/MWRA" => "Resident Authority",
       "P/MWRB" => "Diary of a Recession Baby",
       "P/MWRE" => "Real Estate Weekly",
       "P/MWRG" => "The Ratings Game",
       "P/MWRL" => "Retirement Living",
       "P/MWRN" => "Rex Nutting",
       "P/MWRO" => "Brett Arends' ROI",
       "P/MWRP" => "Robert Powell",
       "P/MWRQ" => "Realty Q&A",
       "P/MWRS" => "Retail Stocks",
       "P/MWRT" => "Ron Amadon's Road Test",
       "P/MWRX" => "Rex on Techs",
       "P/MWSB" => "Shikhar Balwani's This Week in India",
       "P/MWSC" => "Simon Constable",
       "P/MWSF" => "SuperStar Funds",
       "P/MWSG" => "Shades of Green",
       "P/MWSH" => "John Shinal Column",
       "P/MWSN" => "Market Snapshot",
       "P/MWSP" => "The Stockpickers",
       "P/MWST" => "Stocks to Watch",
       "P/MWSW" => "SportsWatch",
       "P/MWT" => "MarketWatch Content",
       "P/MWTH" => "Todd Harrison",
       "P/MWTI" => "The Technical Indicator",
       "P/MWTK" => "Thomas Kostigen's Ethics Monitor",
       "P/MWTL" => "Telecom Stocks",
       "P/MWTM" => "Tomi Kilgore",
       "P/MWTN" => "Top Ten",
       "P/MWTP" => "Therese Poletti's Tech Tales",
       "P/MWTR" => "Telecom Report",
       "P/MWTS" => "Tech Stocks",
       "P/MWTT" => "Taxing Times",
       "P/MWTV" => "Travel",
       "P/MWTX" => "TaxWatch",
       "P/MWVP" => "V. Phani Kumar's This Week in India",
       "P/MWVS" => "Vital Signs",
       "P/MWWC" => "Washington Calendar",
       "P/MWWE" => "Weekend Edition",
       "P/MWWI" => "Weekend Investor",
       "P/MWWK" => "Mutual Funds Weekly",
       "P/MWWM" => "Andrea Coombes' Ways and Means",
       "P/MWWS" => "MarketWatch Full Story",
       "P/MWWT" => "William Watts' Forex Files",
       "P/MWWW" => "David Weidner's Writing on the Wall",
       "P/MWYM" => "Your Money with Chuck Jaffe",
       "P/NGM" => "Nordic Growth Market NGM AB",
       "P/NHO" => "News with Story Text",
       "P/NIB" => "Nordic International Basic",
       "P/NIP" => "Nordic International Pro",
       "P/NMF" => "NewMark Finanzkommunikation GmbH",
       "P/NRG" => "Companies on the Energy Service",
       "P/NSD" => "Neuro System Datenverarbeitung AG",
       "P/OAC" => "Open Access Content",
       "P/OACF" => "Open Access Chinese Financial Wire Headlines",
       "P/OACO" => "Open Access Chinese Online Service",
       "P/OACT" => "Open Access Chinese US Ticker Headlines",
       "P/OAFF" => "Open Access Chinese Forex & Fixed Income News Headlines",
       "P/OAFX" => "Open Access FX Select",
       "P/OAGW" => "Open Access German Web",
       "P/OBI" => "disclosure content from the Oslo Bors",
       "P/ODJA" => "OsterDowJones Autogenerated Stories",
       "P/OKB" => "Oesterreichische Kontrollbank Aktiengesellschaft Kapitalmarkt Se",
       "P/OLGE" => "Online German",
       "P/ORCS" => "Original Commodity Service Content",
       "P/P2D" => "press2day",
       "P/PDL" => "Press Dispensary Ltd.",
       "P/PDV" => "Presstext.de",
       "P/PHD" => "Pressehof.de",
       "P/PIC" => "Wall Street Journal Graphics",
       "P/PNR" => "Press'n'Relations GmbH",
       "P/POA" => "Portuguese Open Access",
       "P/POF" => "PressOffice.pl",
       "P/PRG" => "pressrelations GmbH",
       "P/PSH" => "Dow Jones North America Equities News",
       "P/PTBN" => "PrimeTass Business News",
       "P/PTX" => "Pressetexter",
       "P/PWFX" => "Dow Jones FX Select in Portuguese",
       "P/QL1" => "Quick Links 1 for FX Trader",
       "P/QL10" => "Quick Links 10 for FX Trader",
       "P/QL2" => "Quick Links 2 for FX Trader",
       "P/QL3" => "Quick Links 3 for FX Trader",
       "P/QL4" => "Quick Links 4 for FX Trader",
       "P/QL5" => "Quick Links 5 for FX Trader",
       "P/QL6" => "Quick Links 6 for FX Trader",
       "P/QL7" => "Quick Links 7 for FX Trader",
       "P/QL8" => "Quick Links 8 for FX Trader",
       "P/QL9" => "Quick Links 9 for FX Trader",
       "P/RBIG" => "Robert Beer Investment GmbH",
       "P/REP" => "Story Tracking Code",
       "P/RLP" => "Ralf List PR",
       "P/RNAC" => "AIM Notice (insert number)",
       "P/RNAG" => "AGM Statement",
       "P/RNAI" => "Annual Information Update",
       "P/RNAL" => "Re Alliance",
       "P/RNAP" => "Change of Adviser",
       "P/RNAQ" => "Acquisition",
       "P/RNAR" => "Re Agreement",
       "P/RNAU" => "AIM Admission Update",
       "P/RNAV" => "Regulatory Approval",
       "P/RNBC" => "Base Rate Change",
       "P/RNBD" => "Directorate change",
       "P/RNBL" => "Blocklisting Interim Review",
       "P/RNCA" => "Compulsory Acqn of Shares",
       "P/RNCC" => "Statement re. (COMP COMM)",
       "P/RNCH" => "Change to the Nomad Register",
       "P/RNCI" => "Circ re. [add further text]",
       "P/RNCN" => "Change of Name",
       "P/RNCR" => "Capital Reorganisation",
       "P/RNCS" => "Company Secretary Change",
       "P/RNCT" => "Re Contract",
       "P/RNCU" => "City Events Wire Update",
       "P/RNCV" => "Conversion of Securities",
       "P/RNCW" => "City Events Wire",
       "P/RNDC" => "Doc re. [add further text]",
       "P/RNDD" => "Rule 8.1 - [add security name]",
       "P/RNDI" => "Disposal",
       "P/RNDN" => "Director Declaration",
       "P/RNDP" => "Disclosure of Pent up Demand",
       "P/RNDR" => "Drilling Report",
       "P/RNDS" => "Director/PDMR Shareholding",
       "P/RNDT" => "Disclosure Table",
       "P/RNDV" => "Dividend Declaration",
       "P/RNEG" => "EGM Statement",
       "P/RNEP" => "EPT Disclosure",
       "P/RNEX" => "Exch Suspension/Restoration",
       "P/RNFD" => "Final Announcement Released",
       "P/RNFH" => "FTSE Only (Add Headline)",
       "P/RNFN" => "Formal Notice",
       "P/RNFR" => "Final Results",
       "P/RNFU" => "Further re (insert text)",
       "P/RNGD" => "Geographical Distribution",
       "P/RNHL" => "Holding(s) in Company",
       "P/RNID" => "Issue of Debt",
       "P/RNIE" => "Issue of Equity",
       "P/RNIH" => "ISE Only (Add Headline)",
       "P/RNIM" => "Interim Management Statement",
       "P/RNIR" => "Interim Results",
       "P/RNJV" => "Re Joint Venture",
       "P/RNLI" => "Letter of Intent Signed",
       "P/RNLR" => "Annual report & accounts",
       "P/RNLS" => "Additional Listing",
       "P/RNMM" => "Market Maker Holding",
       "P/RNMR" => "Merger Update",
       "P/RNMS" => "Miscellaneous",
       "P/RNNA" => "Notice of AGM",
       "P/RNND" => "New Accounting Ref Date",
       "P/RNNE" => "Notice of EGM",
       "P/RNNR" => "Notice of Results",
       "P/RNNV" => "Net Asset Value(s)",
       "P/RNOB" => "Offer by [add offeror's name],",
       "P/RNOD" => "Offer Document Posted",
       "P/RNOF" => "Offer for [add offeree's name]",
       "P/RNOL" => "Offer Lapsed",
       "P/RNON" => "Official List Notice",
       "P/RNOR" => "Offer Rejection",
       "P/RNOU" => "Offer Update",
       "P/RNPA" => "AIM Prospective Admission",
       "P/RNPC" => "Statement re. Press Comment",
       "P/RNPE" => "Price Monitoring Extension",
       "P/RNPL" => "Product Launch",
       "P/RNPM" => "Stmnt re Share Price Movement",
       "P/RNPN" => "Prior Notice of Merger",
       "P/RNPO" => "Statement re Possible Offer",
       "P/RNPP" => "Restructure Proposals",
       "P/RNPS" => "Publication of Prospectus",
       "P/RNPT" => "Statement re (POTAM)",
       "P/RNPU" => "Portfolio Update",
       "P/RNQF" => "1st Quarter Results",
       "P/RNQT" => "3rd Quarter Results",
       "P/RNRA" => "Result of AGM",
       "P/RNRD" => "Rule 8.3 - [add security name]",
       "P/RNRE" => "Result of EGM",
       "P/RNRH" => "Reach",
       "P/RNRI" => "Result of Equity Issue",
       "P/RNRL" => "Restoration of Listing",
       "P/RNRM" => "Result of Meeting",
       "P/RNRO" => "Result of Tender Offer",
       "P/RNRP" => "Regulatory Application",
       "P/RNRS" => "Response to (insert text)",
       "P/RNRT" => "Rule 2.10 Announcement",
       "P/RNRU" => "Research Update",
       "P/RNSB" => "Stabilisation  Notice",
       "P/RNSC" => "Scheme of arrangement",
       "P/RNSE" => "Stock Exchange Notice(number)",
       "P/RNSP" => "Second Price Monitoring Extn",
       "P/RNSR" => "Statement re (insert text)",
       "P/RNSS" => "Statement re. Suspension",
       "P/RNSU" => "Temporary Suspension",
       "P/RNSY" => "Syndicate Results",
       "P/RNTE" => "Tender Offer",
       "P/RNTG" => "Test Message",
       "P/RNTK" => "Treasury Stock",
       "P/RNTO" => "Transaction in Own Securities",
       "P/RNTS" => "Trading Statement",
       "P/RNTT" => "Offer Talks Terminated",
       "P/RNTV" => "Total Assets Value",
       "P/RNVO" => "Total Voting Rights",
       "P/RNVR" => "FRN Variable Rate Fix",
       "P/RSND" => "Resends",
       "P/RTI" => "Announcement re: Rights Issue",
       "P/RTRS" => "Hot Headlines for Reuters 2000",
       "P/RWD" => "Stories from the rewrite desk",
       "P/SCF" => "SEC filings",
       "P/SCM" => "Scandinavian Small Caps",
       "P/SGAN" => "UK Market Talk Roundup: Shares Gaining",
       "P/SILB" => "Silberinfo GbR",
       "P/SINV" => "Schroder Investment Management GmbH",
       "P/SKA" => "DJON Industry Reports",
       "P/SLOS" => "UK Market Talk Roundup: Shares Losing",
       "P/SM10" => "SmartMoney 10 Things",
       "P/SMB" => "SmartMoney Blog",
       "P/SMBA" => "SmartMoney AskSmartMoney",
       "P/SMBE" => "SmartMoney Encore",
       "P/SMBO" => "SmartMoney Borrow",
       "P/SMBP" => "SmartMoney Pay Dirt",
       "P/SMBR" => "SmartMoney Real-Time Advice",
       "P/SMBT" => "SmartMoney Tax Blog",
       "P/SMCC" => "SmartMoney Column",
       "P/SMCS" => "SmartMoney Common Sense",
       "P/SMDD" => "SmartMoney Deal of the Day",
       "P/SMH" => "SmartMoney How-to-Guides",
       "P/SMI" => "SmartMoney Invest",
       "P/SMMM" => "SmartMoney Money & Your Mind",
       "P/SMNR" => "SmartMoney The New Retirement",
       "P/SMO" => "SmartMoney Online",
       "P/SMP" => "SmartMoney Print",
       "P/SMPL" => "SmartMoney Plan",
       "P/SMR" => "SmartMoney Retirement",
       "P/SMRO" => "SmartMoney ROI",
       "P/SMS" => "SmartMoney Spend",
       "P/SMSI" => "SmartMoney Smart Ideas",
       "P/SMSS" => "SmartMoney Stock Screen",
       "P/SMTC" => "SmartMoney Tough Customer",
       "P/SMTF" => "SmartMoney Tradecraft",
       "P/SMTG" => "SmartMoney The Tax Guy",
       "P/SMTX" => "SmartMoney Taxes",
       "P/SMUP" => "SmartMoney Upside",
       "P/SNMW" => "Pulses from Ticker to MarketWatch",
       "P/SPF" => "SID Sport-Informationsdienst GmbH",
       "P/SSD" => "Short Selling Disclosure",
       "P/STAT" => "Items from STATS LLC about sports",
       "P/SWFX" => "Dow Jones FX Select in Spanish",
       "P/SXH" => "press releases from the Singapore Exchange",
       "P/TAL" => "FX Trader Alert",
       "P/TAP" => "Press Releases Auto-Published on Ticker",
       "P/TENS" => "Tensid AG stories",
       "P/TFN" => "Turk Finance Communication",
       "P/TGON" => "Dow Jones Front Page News",
       "P/TIO" => "2iQ Research GmbH",
       "P/TOMW" => "Content routed specifically to Marketwatch",
       "P/TSEF" => "AWP Top Stories-Europe-French",
       "P/TSEG" => "AWP Top Stories-Europe-German",
       "P/TSSF" => "AWP Top Stories-Switzerland-French",
       "P/TSSG" => "AWP Top Stories-Switzerland-German",
       "P/UGT" => "Urgent stories",
       "P/UKC" => "UKMR derived content",
       "P/UKCA" => "UK Calendar",
       "P/UKCL" => "UK Calendar of Corporate Events - Week Ahead",
       "P/UKGN" => "UK General News",
       "P/UKM" => "Content from Sky News",
       "P/UKMB" => "UK Morning Briefing",
       "P/UKMC" => "UK Market Talk Brokers Comments",
       "P/UKMG" => "UK Market Talk Gainers",
       "P/UKML" => "UK Market Talk Losers",
       "P/UKRI" => "UK Economic Data-Recent Indicators",
       "P/UKSM" => "UK SUMMARY",
       "P/UKSP" => "UK Sport",
       "P/UKSR" => "UK SMALLCAP ROUNDUP",
       "P/UKTV" => "UK Travel",
       "P/UKWT" => "UK Weather",
       "P/VRG" => "Vara Research GmbH",
       "P/WALL" => "Wallboards",
       "P/WLNK" => "WILink Reports",
       "P/WMAI" => "Dow Jones Advisor Practice",
       "P/WMCF" => "Wealth Manager Content Filter",
       "P/WMMI" => "Dow Jones Advisor Markets",
       "P/WMYM" => "Your Money with Chuck Jaffe",
       "P/WSP" => "Web Scraping",
       "P/WTX" => "Portuguese content from Webtexto",
       "P/XDJN" => "Content Differentiation for Wealth Manager",
       "P/XLN" => "Chinese Language DJ-Xinhua MMS Service",
       "P/XPD" => "Xpidercom GmbH",
       "P/ZAW" => "Zawya content for Factiva",
       "P/ZDAR" => "Zawya Dow Jones News in Arabic",
       "S/ABC" => "US ABC/Money Consumer Sentiment Survey",
       "S/ACT" => "Most Actives",
       "S/ADPE" => "US ADP Employment Report",
       "S/AIW" => "Asian IPO Watch",
       "S/ALL" => "All Statistics",
       "S/API" => "American Petroleum Institute Weekly Statistics",
       "S/ATPI" => "Air Travel Price Index",
       "S/AUBA" => "Australia Building Approvals",
       "S/AUBI" => "Australia Business Indicators",
       "S/AUBP" => "Australia Balance of Payments",
       "S/AUCP" => "Australia CPI",
       "S/AUCR" => "Australia RBA Cash Rate",
       "S/AUCS" => "Australia Consumer Sentiment",
       "S/AUEM" => "Australia Employment",
       "S/AUFX" => "Australia RBA Foreign Exchange Transactions",
       "S/AUGP" => "Australia GDP",
       "S/AUHF" => "Australia Housing Finance",
       "S/AUHS" => "Australia Housing Starts",
       "S/AUIT" => "Australia International Trade",
       "S/AULP" => "Australia Labor Price Index",
       "S/AUPP" => "Australia PPI",
       "S/AURS" => "Australia Retail Sales",
       "S/AUWM" => "Australia Westpac-MI Leading Index",
       "S/AVA" => "PIR Average Volume",
       "S/BEBC" => "Belgium Business Confidence",
       "S/BECP" => "Belgium CPI - Estimate",
       "S/BEGP" => "Belgium GDP",
       "S/BLP" => "US Building Permits",
       "S/BRCA" => "Brazil Current Account",
       "S/BREM" => "Brazil Employment/Unemployment",
       "S/BRFT" => "Brazil Foreign Trade",
       "S/BRGP" => "Brazil GDP",
       "S/BRIC" => "Brazil IPCA CPI (Inflation)",
       "S/BRIO" => "Brazil Industrial Output",
       "S/BRPD" => "Brazil Public Debt",
       "S/BRRS" => "Brazil Retail Sales",
       "S/BRSE" => "Brazil SELIC Interest Rate/Reference Rate",
       "S/CALL" => "Calendar Live",
       "S/CCR" => "US Consumer Credit",
       "S/CCU" => "Capacity Utilization",
       "S/CGA" => "Canadian Gas Storage",
       "S/CHPB" => "China PBOC Rate Change",
       "S/CHRT" => "China Retail Sales",
       "S/CMMI" => "US Chicago Fed MMI",
       "S/CNAI" => "US Chicago Fed NAI",
       "S/CNBL" => "Canada Building Permits",
       "S/CNBP" => "Canada Balance of Payments",
       "S/CNC" => "US Consumer Confidence",
       "S/CNCP" => "Canada CPI",
       "S/CNEM" => "Canada Employment",
       "S/CNFA" => "China Fixed-Asset Investment",
       "S/CNGD" => "Canada GDP",
       "S/CNGP" => "China GDP",
       "S/CNHP" => "Canada New House Prices",
       "S/CNHS" => "Canada Housing Starts",
       "S/CNIC" => "Canada Industrial Capacity Utilization Rate",
       "S/CNIP" => "China Industrial Production",
       "S/CNIR" => "Canada BoC Interest Rate Decision",
       "S/CNIS" => "Canada International Securities Transactions",
       "S/CNIV" => "Canada Ivey PMI Index",
       "S/CNLI" => "Canada Leading Indicators",
       "S/CNMR" => "Canada Monetary Reserves",
       "S/CNMS" => "Canada Manufacturing Survey",
       "S/CNMT" => "Canada Merchandise Trade",
       "S/CNPB" => "China PBOC Financial Statistics",
       "S/CNPI" => "China CPI",
       "S/CNPP" => "China PPI",
       "S/CNRM" => "Canada Industrial Raw Material Prices",
       "S/CNRS" => "Canada Retail Sales",
       "S/CNTD" => "China Trade (exports, imports, surplus)",
       "S/CNWT" => "Canada Wholesale Trade",
       "S/CPI" => "US Consumer Price Index",
       "S/CSR" => "Consumer Savings Rates",
       "S/CSS" => "US Construction Spending",
       "S/DAFS" => "US Dallas Fed Survey",
       "S/DECB" => "Denmark Central Bank Rate Decision",
       "S/DECE" => "Denmark Consumer Expectations",
       "S/DECP" => "Denmark CPI",
       "S/DEGD" => "Denmark GDP",
       "S/DEPM" => "Denmark PMI Manufacturing",
       "S/DESI" => "US Economic Sentiment Indicator",
       "S/DEUN" => "Denmark Unemployment",
       "S/DJA" => "Dow Jones Stock Averages (Half-Hourly)",
       "S/DOE" => "Department of Energy Weekly Data",
       "S/DTB" => "Stock Market Data Bank",
       "S/DUR" => "US Durable Goods",
       "S/DVA" => "PIR Dollar Volume Most Actives",
       "S/DVR" => "Dividend Report Table",
       "S/DWB" => "Discount Window Borrowings",
       "S/ECI" => "US Employment Cost Index",
       "S/EEI" => "Edison Electric Institute Weekly Electric Output",
       "S/ERS" => "Earnings Alerts",
       "S/EUBC" => "European Union Bus & Cons Confidence",
       "S/EUBD" => "European Union ECB Bank Direction",
       "S/EUBP" => "European Union Balance of Payments",
       "S/EUBR" => "European Union ECB Bank Rate",
       "S/EUCC" => "European Union Flash Consumer Confidence",
       "S/EUCF" => "European Union CPI2-Final",
       "S/EUCP" => "European Union CPI1-Est",
       "S/EUG1" => "European Union GDP1-Flash",
       "S/EUG2" => "European Union GDP2-Revised",
       "S/EUG3" => "European Union GDP3-Final",
       "S/EUIP" => "European Union Industrial Production",
       "S/EUJR" => "European Union Jobless Rate",
       "S/EULC" => "European Union Labor Cost Index",
       "S/EUMS" => "European Union Money Supply",
       "S/EUNO" => "European Union New Orders",
       "S/EUPG" => "European Union PMI-Flash Estimates",
       "S/EUPM" => "European Union PMI-Manufacturing",
       "S/EUPP" => "European Union Producer Prices",
       "S/EURS" => "European Union Retail Sales",
       "S/EUSV" => "European Union PMI-Services",
       "S/EUTB" => "European Union Trade Balance",
       "S/EXD" => "Stocks Ex-Dividend",
       "S/FCO" => "US Factory Orders",
       "S/FNS" => "Mutual Fund Statistics-Data",
       "S/FRBC" => "France Consumer Confidence",
       "S/FRBS" => "France Business Sentiment",
       "S/FRCP" => "France CPI1-Prelim",
       "S/FRCS" => "France Consumer Spending",
       "S/FREP" => "US Federal Reserve Economic Projections",
       "S/FRGF" => "France GDP1-Flash",
       "S/FRGP" => "France GDP3-Final",
       "S/FRIP" => "France Industrial Production",
       "S/FRJR" => "France Jobless Rate",
       "S/FRMU" => "France Monthly Unemployed",
       "S/FRPE" => "France PMI-Flash Estimates",
       "S/FRPM" => "France PMI-Manufacturing",
       "S/FRPP" => "France PPI",
       "S/FRPS" => "France PMI-Services",
       "S/FRS" => "Federal Reserve Surveys",
       "S/FXH" => "Foreign Exchange Rates (Hourly)",
       "S/GEBA" => "Germany Bavaria CPI",
       "S/GEBR" => "Germany Brandenburg CPI",
       "S/GEBW" => "Germany Baden-Wuerttemberg CPI",
       "S/GECC" => "Germany Consumer Confidence",
       "S/GECF" => "Germany CPI2-Final",
       "S/GECP" => "Germany CPI1-Prelim",
       "S/GEG2" => "Germany GDP2",
       "S/GEGF" => "Germany GDP1-Flash",
       "S/GEHE" => "Germany Hesse CPI",
       "S/GEIB" => "Germany IFO Business Confidence",
       "S/GEIF" => "Germany IFO Business Confidence Direction",
       "S/GEIP" => "Germany Industrial Production",
       "S/GEJR" => "Germany Jobless Rate Actual",
       "S/GEJS" => "Germany Jobless Rate Source",
       "S/GEMO" => "Germany Manufacturing Orders",
       "S/GENR" => "Germany North-Rhine Westphalia CPI",
       "S/GEPF" => "Germany PMI-Flash Estimates",
       "S/GEPM" => "Germany PMI-Manufacturing",
       "S/GEPP" => "Germany PPI",
       "S/GEPS" => "Germany PMI-Services",
       "S/GERS" => "Germany Retail Sales",
       "S/GESC" => "Germany Saxony CPI",
       "S/GEZE" => "Germany ZEW Business Confidence",
       "S/GNP" => "US Gross Domestic Product",
       "S/GRBD" => "Greece Budget Deficit",
       "S/GRCN" => "Greece Consumer Prices",
       "S/GRGP" => "Greece GDP",
       "S/GRUN" => "Greece Unemployment",
       "S/HCL" => "Housing Completions",
       "S/HFO" => "US H.4.1 Release",
       "S/HKCP" => "HK CPI",
       "S/HKGD" => "HK GDP",
       "S/HKRS" => "HK Retail Sales",
       "S/HKTD" => "HK Trade",
       "S/HKUP" => "HK Unemployment",
       "S/HLR" => "Analysts' Highest-, Lowest-Rated Stocks",
       "S/HOS" => "US Housing Starts",
       "S/HSE" => "US Existing Home Sales",
       "S/HSL" => "US Home Sales",
       "S/HWI" => "Conference Board Help-Wanted Index",
       "S/IEBD" => "Ireland Budget Deficit",
       "S/IECP" => "Ireland CPI",
       "S/IEGP" => "Ireland GDP",
       "S/IEUN" => "Ireland Unemployment",
       "S/IJC" => "US Initial Jobless Claims",
       "S/INM" => "US ISM Non-Manufacturing",
       "S/INV" => "US Business Inventories",
       "S/IOCB" => "Indonesia Central Bank Rate Decisions",
       "S/IOCP" => "Indonesia CPI",
       "S/IOGD" => "Indonesia GDP",
       "S/IOTR" => "Indonesia Trade",
       "S/IPD" => "US Industrial Production",
       "S/IPO" => "IPO Spotlight",
       "S/ITBC" => "Italy Business Confidence",
       "S/ITCC" => "Italy Consumer Confidence",
       "S/ITCF" => "Italy CPI-Final",
       "S/ITCP" => "Italy CPI Prelim",
       "S/ITGD" => "Italy GDP1-Prelim",
       "S/ITGF" => "Italy GDP2-Final",
       "S/ITIO" => "Italy Industrial Orders & Sales",
       "S/ITIP" => "Italy Industrial Production",
       "S/ITPM" => "Italy PMI-Manufacturing",
       "S/ITPP" => "Italy Producer Prices",
       "S/ITPS" => "Italy PMI-Services",
       "S/ITR" => "Insider Transactions",
       "S/JAAE" => "Japan Auto Exports",
       "S/JAAI" => "Japan All Industry Activity Index",
       "S/JAAP" => "Japan Auto Production",
       "S/JAAS" => "Japan Auto Sales",
       "S/JABL" => "Japan Bank Lending",
       "S/JABT" => "Japan Balance of Trade",
       "S/JACA" => "Japan Current Account",
       "S/JACG" => "Japan Corporate Goods Price Index",
       "S/JACO" => "Japan Construction Orders",
       "S/JACP" => "Japan CPI",
       "S/JAFR" => "Japan Foreign Reserves",
       "S/JAGP" => "Japan GDP1-Prelim",
       "S/JAGR" => "Japan GDP2-Revised",
       "S/JAHS" => "Japan Housing Starts",
       "S/JAIP" => "Japan Industrial Production Preliminary",
       "S/JAIR" => "Japan Industrial Production Revised",
       "S/JAJR" => "Japan Jobless Rate",
       "S/JALI" => "Japan Leading Indicators",
       "S/JAMO" => "Japan Machinery Orders",
       "S/JAMS" => "Japan Money Supply",
       "S/JARC" => "Japan BoJ Rate Change",
       "S/JARS" => "Japan Retail Sales",
       "S/JATI" => "Japan Tertiary Industry Activity Index",
       "S/JATN" => "Japan Tankan",
       "S/JAWE" => "Japan Wage Earn Household Spending",
       "S/JPR" => "Japan Preliminary Portfolio Data indicator",
       "S/JRD" => "Johnson Redbook",
       "S/KCMS" => "US Kansas City Fed Manufacturing Survey",
       "S/KIR" => "Key Interest Rates",
       "S/LIN" => "US Leading Indicators",
       "S/MFG" => "US ISM Manufacturing",
       "S/MFS" => "Mutual Fund Scorecard",
       "S/MNE" => "Money Supply",
       "S/MNR" => "Money Rates",
       "S/MXCA" => "Mexico Current Account",
       "S/MXGP" => "Mexico GDP",
       "S/MXIN" => "Mexico CPI (Inflation)",
       "S/MXIO" => "Mexico Industrial Output",
       "S/MXIR" => "Mexico Interest Rate",
       "S/MXTB" => "Mexico Trade Balance",
       "S/MYCB" => "Malaysia Central Bank Rate Decision",
       "S/MYCP" => "Malaysia CPI",
       "S/MYGD" => "Malaysia GDP",
       "S/MYIP" => "Malaysia Industrial Production",
       "S/MYTR" => "Malaysia Trade",
       "S/NBL" => "National Bank Loans",
       "S/NFB" => "US Non-Farm Business Productivity (Quarterly)",
       "S/NFP" => "US Employment/Non-Farm Payrolls (Monthly)",
       "S/NLCC" => "Netherlands Consumer Confidence",
       "S/NLCN" => "Netherlands Consumer Prices",
       "S/NLGP" => "Netherlands GDP",
       "S/NLPC" => "Netherlands Producer Confidence",
       "S/NLTR" => "Netherlands Trade",
       "S/NLUN" => "Netherlands Unemployment",
       "S/NOCP" => "Norway CPI",
       "S/NOET" => "Norway External Trade",
       "S/NOGD" => "Norway GDP",
       "S/NOLF" => "Norway Labor Force Survey",
       "S/NONB" => "Norway Norges Bank Rate",
       "S/NOPI" => "Norway Production Index",
       "S/NORS" => "Norway Retail Sales",
       "S/NSI" => "NASDAQ/NYSE/Amex Short Interest",
       "S/NYFE" => "US NY Fed Empire State Survey",
       "S/NYI" => "US ISM-NY Current Business Index",
       "S/NZBC" => "New Zealand NBNZ Business Confidence",
       "S/NZBP" => "New Zealand Balance of Payments",
       "S/NZCP" => "New Zealand CPI",
       "S/NZGD" => "New Zealand GDP",
       "S/NZHL" => "New Zealand Household Labor Survey",
       "S/NZOM" => "New Zealand Overseas Merchandise Trade",
       "S/NZPP" => "New Zealand PPI",
       "S/NZRR" => "New Zealand RBNZ Rate",
       "S/NZRS" => "New Zealand Retail Sales",
       "S/NZTI" => "New Zealand Trade Indexes",
       "S/OEX" => "CBOE S&P 100 Index Options Closing Prices",
       "S/OIL" => "Oil",
       "S/PAL" => "PIR Price Alerts",
       "S/PGT" => "Program Trading",
       "S/PHCB" => "Philippines Central Bank Decisions",
       "S/PHEX" => "Philippines Exports",
       "S/PHFS" => "US Philadelphia Fed Survey",
       "S/PHGD" => "Philippines GDP",
       "S/PHIM" => "Philippines Imports",
       "S/PHIN" => "Philippines Inflation",
       "S/PHWR" => "Philippines Overseas Workers Remittance",
       "S/PIN" => "US Personal Income",
       "S/PPG" => "PIR Price Percentage Gainers",
       "S/PPI" => "US Producer Price Index",
       "S/PPL" => "PIR Price Percentage Losers",
       "S/PTBD" => "Portugal Budget Deficit",
       "S/PTCP" => "Portugal CPI",
       "S/PTF" => "Closed-End Funds",
       "S/PTGP" => "Portugal GDP",
       "S/PTUN" => "Portugal Unemployment",
       "S/PUR" => "US Purchasing Agents' Surveys",
       "S/REN" => "Real Earnings",
       "S/RFSV" => "US Richmond Fed Survey",
       "S/RISK" => "Risk Tables",
       "S/RSL" => "US Retail Sales",
       "S/RSV" => "US Reserve Assets",
       "S/SKCP" => "South Korea CPI",
       "S/SKGP" => "South Korea GDP",
       "S/SKIP" => "South Korea Industrial Production",
       "S/SKNP" => "South Korea Current Account (no preview)",
       "S/SKRD" => "South Korea Rate Decision",
       "S/SKTB" => "South Korea Trade Balance",
       "S/SNCP" => "Singapore Consumer Price Index",
       "S/SNET" => "Singapore External Trade",
       "S/SNGA" => "Singapore GDP, Advance",
       "S/SNGU" => "Singapore GDP, Update",
       "S/SNMA" => "Singapore MAS Policy reviews",
       "S/SNP" => "Price/Earnings Ratio Table",
       "S/SNR" => "Investor Sentiment Readings",
       "S/SPBD" => "Spain Budget Deficit",
       "S/SPCA" => "Spain Current Account",
       "S/SPCP" => "Spain CPI",
       "S/SPGP" => "Spain GDP",
       "S/SPHC" => "Spain Flash HCPI-Estimate",
       "S/SPHP" => "Spain House Prices",
       "S/SPI" => "Stock Index Futures Settlement Prices",
       "S/SPUN" => "Spain Unemployment",
       "S/STT" => "Stock Market Statistics",
       "S/SVA" => "PIR Share Volume Most Actives",
       "S/SWBP" => "Sweden Balance of Payments",
       "S/SWCP" => "Sweden CPI",
       "S/SWCT" => "Sweden Consumer Tendency Survey",
       "S/SWGP" => "Sweden GDP",
       "S/SWIP" => "Sweden Industrial Production",
       "S/SWLF" => "Sweden Labor Force Survey",
       "S/SWPP" => "Sweden PPI",
       "S/SWRR" => "Sweden Riksbank Repo Rate",
       "S/SWRS" => "Sweden Retail Sales",
       "S/SWTB" => "Sweden Trade Balance",
       "S/SZCH" => "Switzerland CHF 3Mo Libor Rate Band",
       "S/SZCI" => "Switzerland Consumption Indicator",
       "S/SZCP" => "Switzerland CPI",
       "S/SZCS" => "Switzerland Consumer Sentiment Index",
       "S/SZES" => "Switzerland ZEW-CS Economic Sentiment",
       "S/SZFT" => "Switzerland Foreign Trade",
       "S/SZGD" => "Switzerland GDP",
       "S/SZIP" => "Switzerland Industrial Production",
       "S/SZKO" => "Switzerland KOF Economic Barometer",
       "S/SZPM" => "Switzerland PMI",
       "S/SZPP" => "Switzerland PPI",
       "S/SZRS" => "Switzerland Retail Sales",
       "S/SZSN" => "Switzerland SNB Currency Reserves",
       "S/SZUM" => "Switzerland Unemployment",
       "S/TDM" => "Trade: Goods & Services",
       "S/THBO" => "Thailand BOT Rate Decision",
       "S/THCP" => "Thailand CPI",
       "S/THGD" => "Thailand GDP",
       "S/TNX" => "US Conference Board Trends Index",
       "S/TOS" => "Canadian Stock Market Statistics",
       "S/TSI" => "Transportation Services Index",
       "S/TTE" => "Tracking the Economy",
       "S/TWCB" => "Taiwan Central Bank Rate Decision",
       "S/TWCP" => "Taiwan CPI/WPI",
       "S/TWEO" => "Taiwan Export Orders",
       "S/TWGD" => "Taiwan GDP",
       "S/TWIP" => "Taiwan Industrial Output",
       "S/TWTR" => "Taiwan Trade",
       "S/UKBI" => "UK Business Investment",
       "S/UKBO" => "UK BOE MPC Vote Results",
       "S/UKBP" => "UK Balance of Payments",
       "S/UKBR" => "UK BoE Bank Rate",
       "S/UKCB" => "UK CBI Industrial Trends Survey",
       "S/UKCC" => "UK GfKNOP Consumer Confidence",
       "S/UKCI" => "UK CPI",
       "S/UKCL" => "UK Consumer Lending",
       "S/UKCR" => "UK CBI Retail Sales",
       "S/UKG1" => "UK GDP1-First Estimate",
       "S/UKG2" => "UK GDP2-Revised",
       "S/UKG3" => "UK GDP3-Final",
       "S/UKHH" => "UK Halifax House Prices",
       "S/UKJR" => "UK Jobless Rate Earnings",
       "S/UKMI" => "UK Mfg and Ind Production",
       "S/UKNP" => "UK Nationwide House Prices",
       "S/UKPF" => "UK Public Finances",
       "S/UKPM" => "UK PMI-Manufacturing",
       "S/UKPP" => "UK Producer Prices",
       "S/UKPS" => "UK PMI-Services",
       "S/UKRH" => "UK RICS House Price",
       "S/UKRM" => "UK BRC Retail Sales Monitor",
       "S/UKRS" => "UK Retail Sales",
       "S/UKTB" => "UK Trade Balance",
       "S/USBT" => "US DJ-BTMU Business Barometer",
       "S/USCA" => "US Current Account",
       "S/USCH" => "US ICSC/GS Chain Store Sales",
       "S/USCS" => "US S&P Case Shiller Home Price Index",
       "S/USDE" => "US DOE EIA Weekly Petroleum Storage Report",
       "S/USDW" => "US FedFunds-Discount Rate",
       "S/USFF" => "US Fed Discount Window",
       "S/USFH" => "US FHFA House Price Index",
       "S/USHS" => "US NAHB Housing Index",
       "S/USIB" => "US IBD-TIPP Economic Optimism Index",
       "S/USIP" => "US Import Prices",
       "S/USIT" => "US International Trade",
       "S/USMB" => "US MBA Survey",
       "S/USOM" => "US New York Fed Open Market Operation",
       "S/USRS" => "US Redbook Retail Sales",
       "S/USTA" => "US Treasury Auctions",
       "S/USTR" => "US TIC Report",
       "S/UVM" => "University of Michigan Consumer Sentiment Index",
       "S/VOA" => "PIR Volume Alerts",
       "S/WHO" => "US Wholesale Prices",
       "S/WIN" => "Total Market Indexes",
       "S/XMI" => "AMEX MMI Options Closing Prices",
    }

    def initialize(symbol)
      @symbol = symbol

      raise ArgumentError.new("#{symbol} is not a known symbol!") unless @@symbols[@symbol]
    end

    def symbol
      @symbol
    end

    def name
      @@symbols[@symbol]
    end
  end
end
